GNU bug report logs - #33442
26.1.90; Cairo side-by-side windows scrolling fix should be cherry-picked

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ari Roponen <ari.roponen@HIDDEN>; Keywords: fixed; Done: Robert Pluim <rpluim@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 11 Dec 2018 06:31:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 01:31:25 2018
Received: from localhost ([127.0.0.1]:42657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWbZj-0003zn-HG
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2018 01:31:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gWbZh-0003zX-US
 for 33442 <at> debbugs.gnu.org; Tue, 11 Dec 2018 01:31:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gWbZX-0002DT-SS
 for 33442 <at> debbugs.gnu.org; Tue, 11 Dec 2018 01:31:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56101)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gWbZW-0002Cq-Uv; Tue, 11 Dec 2018 01:31:11 -0500
Received: from [176.228.60.248] (port=2366 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gWbZW-0004uH-HW; Tue, 11 Dec 2018 01:31:10 -0500
Date: Tue, 11 Dec 2018 08:31:00 +0200
Message-Id: <83pnu81snv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <552f4f2c-a564-7f79-ae8e-355ecf877564@HIDDEN> (message from
 Dmitry Gutov on Tue, 11 Dec 2018 05:37:34 +0200)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN> <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN> <m2pnuaz73t.fsf@HIDDEN>
 <83ftv53nu1.fsf@HIDDEN> <15f9eef9-6ba5-5e65-68fd-485bea9a0b62@HIDDEN>
 <552f4f2c-a564-7f79-ae8e-355ecf877564@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, rpluim@HIDDEN, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Cc: ari.roponen@HIDDEN, 33442 <at> debbugs.gnu.org
> Date: Tue, 11 Dec 2018 05:37:34 +0200
> 
> On 11.12.2018 4:33, Dmitry Gutov wrote:
> > bug#28236 being the exception
> 
> ...and the font rendering difference mentioned in bug#23925.

Good to know, thanks.  I think 28236 is important enough to try to
solve it before we re-enable Cairo by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 11 Dec 2018 06:27:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 01:27:21 2018
Received: from localhost ([127.0.0.1]:42653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWbVo-0003o3-W0
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2018 01:27:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gWbVo-0003nm-6r
 for 33442 <at> debbugs.gnu.org; Tue, 11 Dec 2018 01:27:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gWbVf-0006im-LU
 for 33442 <at> debbugs.gnu.org; Tue, 11 Dec 2018 01:27:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56033)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gWbVf-0006i2-1W; Tue, 11 Dec 2018 01:27:11 -0500
Received: from [176.228.60.248] (port=2109 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gWbVe-0007nR-BO; Tue, 11 Dec 2018 01:27:10 -0500
Date: Tue, 11 Dec 2018 08:27:00 +0200
Message-Id: <83r2eo1suj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <15f9eef9-6ba5-5e65-68fd-485bea9a0b62@HIDDEN> (message from
 Dmitry Gutov on Tue, 11 Dec 2018 04:33:21 +0200)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN> <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN> <m2pnuaz73t.fsf@HIDDEN>
 <83ftv53nu1.fsf@HIDDEN> <15f9eef9-6ba5-5e65-68fd-485bea9a0b62@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, rpluim@HIDDEN, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Cc: ari.roponen@HIDDEN, 33442 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Tue, 11 Dec 2018 04:33:21 +0200
> 
> On 10.12.2018 8:20, Eli Zaretskii wrote:
> 
> >> On a separate note, should we turn cairo on by default in master?
> > 
> > I have no strong opinion on this.  IMO, the decision should be based
> > on what those who use Cairo say about its stability.  I'd also
> > encourage people to see whether the reported bugs are still there, or
> > maybe they were solved indirectly.
> 
> I won't presume to speak about stability, but I've tried whatever 
> related bug reports I could find, and most seem fixed (bug#28236 being 
> the exception).

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 11 Dec 2018 03:37:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 22:37:44 2018
Received: from localhost ([127.0.0.1]:42578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWYrg-0005Jj-DQ
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 22:37:44 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:40377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gWYre-0005JX-QQ
 for 33442 <at> debbugs.gnu.org; Mon, 10 Dec 2018 22:37:43 -0500
Received: by mail-wr1-f43.google.com with SMTP id p4so12559718wrt.7
 for <33442 <at> debbugs.gnu.org>; Mon, 10 Dec 2018 19:37:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=6JKDsQiDfEXNfDJHB/y4MdLSpCXSTqwjhHmMefd9RKs=;
 b=G4My02P+gKHuoitlSngdevHkYABFi95tpzjtae01+WRy4icY6NSr1UbrKjCtES5ioz
 6dl1Hvp4RBcMbq5kq6YerQSXlmZOD1SjOsXM+N9SdRs1iyvvuxr164WNaq9eAskuJ21w
 z/g2PMTaEHxnA+TLjEwAUw49R9BgSgr61w7TZGaqFqVyGoycxhQyhZhAxNpqQwOZLyW5
 zYcYRwkYmQ/yyjgsz6cUxpGhfimwTkcLCx8gTJxABsWjAngByMmJLBAo4iBfwt/ROHPl
 W6ydz+erqUWau+y+MTqeX14pjguR79SnG6Q29J3kNHUFaq/tTMlo5TAoClKEsJkQbxVM
 wZpQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:from:to:cc:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=6JKDsQiDfEXNfDJHB/y4MdLSpCXSTqwjhHmMefd9RKs=;
 b=gXzqTjxar86GrArmEocOztjNuKBW2SYRPDJ8zS3WkWCsgP+xrjpd7UaBvJOYtsl+Lt
 iXs82QlJDQAr7APKmD69ue4alv3snW2folKDa3gkRIvQue/XDHAYkOEVrKijHaQ0vIA7
 9b/lwvMEL1cNo2YJrF1zV5QnuJoXmZn0tO8hbBMqG8q658LXtLcbvzuRLLSUCuOGErPI
 9R5udPagMTmglrqCWb0cIUCeKoqPP0SWnwsHMqPImISlvTvPHE2Mc4ej+DlonkFleNQ1
 b7Yl4CeDFk1P6pbW9hvI0WOHKkcFW6e9+3TT++/nF5MnqySD8/WiJcx9+oYYON5c9CDn
 cyAw==
X-Gm-Message-State: AA+aEWbGOjl7w/W3zqSYiy2l63u5kO0VRHbeDi6XDwGa7u7p4gN8zDhO
 K9w6mVgY67U4f1Tr2HbCEGz8fRLc
X-Google-Smtp-Source: AFSGD/WptvRpYyZMZwEFiMCIPvfqTa7tB+V2hvS9xcqMmFTwVo6AJ94BKWkP41gGt8bqnucNK4Y5og==
X-Received: by 2002:adf:a14d:: with SMTP id r13mr11521065wrr.169.1544499456924; 
 Mon, 10 Dec 2018 19:37:36 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id o81sm945579wmd.10.2018.12.10.19.37.35
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 10 Dec 2018 19:37:36 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
From: Dmitry Gutov <dgutov@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN> <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN> <m2pnuaz73t.fsf@HIDDEN>
 <83ftv53nu1.fsf@HIDDEN> <15f9eef9-6ba5-5e65-68fd-485bea9a0b62@HIDDEN>
Message-ID: <552f4f2c-a564-7f79-ae8e-355ecf877564@HIDDEN>
Date: Tue, 11 Dec 2018 05:37:34 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <15f9eef9-6ba5-5e65-68fd-485bea9a0b62@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 11.12.2018 4:33, Dmitry Gutov wrote:
> bug#28236 being the exception

...and the font rendering difference mentioned in bug#23925.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 11 Dec 2018 02:33:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 21:33:32 2018
Received: from localhost ([127.0.0.1]:42564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWXrY-0003dX-2E
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 21:33:32 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:32772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gWXrW-0003dJ-NE
 for 33442 <at> debbugs.gnu.org; Mon, 10 Dec 2018 21:33:30 -0500
Received: by mail-wr1-f49.google.com with SMTP id c14so12532438wrr.0
 for <33442 <at> debbugs.gnu.org>; Mon, 10 Dec 2018 18:33:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=/yeDi6LFUvl23AXZXCzsVgqz6jK/Dcw90ncmJNdxHJ8=;
 b=ai9hRLBCobzkpmpMY5DeB/ZLI3I4nKRO9ugEyzEvy94TzT6HHT6H8wfExpnVxBuEf9
 FUdrfGqLmjM+e8WrtpDijhJ+t4xCs+k0RUd0vzueHuf9l2LBl1/Ol1mYODqZ76whmj1N
 ReN1xWgwcqusWbm4KUJ4sYIgkWVwyw0s5EF32x556kV7tCtP+EMLXuhwN4Q8K0euvNCk
 F2rLqFweIVQzrpz/C4D6lvNsikm/RjhLjtMSCSPvXleCidRrBY6oOCNie9e83nyIvivL
 zgz61OyWCbgkzfa1NiEK6xjL96WL3kGc/mSsCphnVP4xDSNXLktZfM9MSHXirkNALkOL
 TMUg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=/yeDi6LFUvl23AXZXCzsVgqz6jK/Dcw90ncmJNdxHJ8=;
 b=sI7ZQhZYZ7WpjF6Z13elGh41BWa7uHr0/ZW/4neoWlPOWnLSPrIkPiANnpF9UBkOJn
 MfjT29xuXV8oOVlF6KpG5l9pr4o1CSZvrf/6TGRYHoWm6ry9rRCJ0wobF69St+TDoWo+
 znb7PTWMD693pdrbxJSwXkW8hnVhuaKS32jqi+qZIgbBKMox8U3zuqH+CQZvpfi6hnpy
 anHfpmKkKRpSaL5TMpgGqjuxS9cAwygrfExqP8Sumge3p0Lje4Jl+TARN7bVH6+4LyP+
 J2OHfkoQMxw7S24rQ66tiDMPIgGpuLsxc1bXaC0CZdZwd2ol566ewDV/qIrWL/gcJYK8
 aWCA==
X-Gm-Message-State: AA+aEWZSsF8KteAZK7nF/ma9unN3RtGPgEQtwHkra++nyspohfNo5KfO
 jy5UNTGT6jA3ZT2VReECVUSznUYn
X-Google-Smtp-Source: AFSGD/UkSOAvcJzNHdeQTjIXLVt+4hJfiEdymYeT0E0HNcKUZnyTUQuY7YiKOj4TXisonKj/NZxbhQ==
X-Received: by 2002:adf:a1d2:: with SMTP id v18mr11215238wrv.87.1544495604818; 
 Mon, 10 Dec 2018 18:33:24 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id d16sm317396wru.52.2018.12.10.18.33.22
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 10 Dec 2018 18:33:23 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Eli Zaretskii <eliz@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN> <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN> <m2pnuaz73t.fsf@HIDDEN>
 <83ftv53nu1.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <15f9eef9-6ba5-5e65-68fd-485bea9a0b62@HIDDEN>
Date: Tue, 11 Dec 2018 04:33:21 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <83ftv53nu1.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 10.12.2018 8:20, Eli Zaretskii wrote:

>> On a separate note, should we turn cairo on by default in master?
> 
> I have no strong opinion on this.  IMO, the decision should be based
> on what those who use Cairo say about its stability.  I'd also
> encourage people to see whether the reported bugs are still there, or
> maybe they were solved indirectly.

I won't presume to speak about stability, but I've tried whatever 
related bug reports I could find, and most seem fixed (bug#28236 being 
the exception).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.
bug marked as fixed in version 26.2, send any further explanations to 33442 <at> debbugs.gnu.org and Ari Roponen <ari.roponen@HIDDEN> Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 10 Dec 2018 13:23:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 08:23:19 2018
Received: from localhost ([127.0.0.1]:40817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWLWp-0002kj-DO
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 08:23:19 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:36396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>)
 id 1gWLWm-0002kO-Ir; Mon, 10 Dec 2018 08:23:17 -0500
Received: by mail-wr1-f50.google.com with SMTP id u3so10483550wrs.3;
 Mon, 10 Dec 2018 05:23:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:message-id:mime-version:content-transfer-encoding;
 bh=mc3x6r868n+m5TY6YPGPYYiknwCqvLQOpAOxfcmkGok=;
 b=BAHLZNiIRX9WzY5kcAPNpuepMvxAyJ8NPrgXGmZcJ/03Av9kR5QzXQft16HlHZaotA
 ILiXUJEXro6LeU2Bq27XVrCUkBZotnO39bgxsu7OnbkC/J31kdM0iyETUAnh06+/meBS
 +ECOCqxNnwEJglYReihactQQmc5q99vVREYMc9WMfkQIhzfE6RbBkvZGo5wQ+C1/9NEK
 TAsus2EIYBZSK4H6xUAD3eGYayb8HcuT+BQhR4HxYodAFc9ey8PNWKyons+B+8JrFgCA
 emRIRYHqTt6DZM1gF74iegaOa0g1KQSw6EUWy907Lam5r/WfyZ36RvsuVMHxVYhj3V+K
 Nscg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:message-id:mime-version
 :content-transfer-encoding;
 bh=mc3x6r868n+m5TY6YPGPYYiknwCqvLQOpAOxfcmkGok=;
 b=SpNSUHFBEJqWSI7rqwYrLX/wJ31LPr8yLTbq2Fx0YVXpP8p0dKzmQ0kX/BDbFQ+Fll
 uDvxovd/LRFK0Ett/nwuUVJj4WvHVWrlaka4V1/iv+fVjHVjG94r/qe1iAGQlODGGC6I
 Mg8l7v7DomLKOf5W3TJGCpO9qe/cwkObvizuxPXgDjGcysDVtlfykZQuBBE+RJxBCXEV
 bB3uQ6FpiDGErGuB9G25wcIgg8CFwWPyH+eFmBUpc/+QCt7uUSX66EfNwY1GBzCOQjtH
 mq054zyDvg/Llq/+pA1m4QZngoODk0dZXlB/g7xlKbMzz+/P/+8gd1vkvw02PNZGCE/l
 J5Aw==
X-Gm-Message-State: AA+aEWaJJOzaQzTLwaQz3KK36tjzGc9XSPMJwQRen8bn07foHDGwXfTS
 3zV+BC6HkuA1Flah6vbxeaUYbOG4uiU=
X-Google-Smtp-Source: AFSGD/VLGHF9oU/w1ts3eN8rRXYH6+kKjZiTUfJZR0Vkgltcxi5Q/O7YP9n6zCunhJS7RuUH60k7+w==
X-Received: by 2002:adf:dd06:: with SMTP id a6mr10535587wrm.2.1544448189645;
 Mon, 10 Dec 2018 05:23:09 -0800 (PST)
Received: from rpluim-mac (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id w125sm2348336wmb.45.2018.12.10.05.23.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 10 Dec 2018 05:23:08 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN>
 <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN>
 <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN>
 <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN>
 <m2pnuaz73t.fsf@HIDDEN> <83ftv53nu1.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 10 Dec 2018 14:23:06 +0100
Message-ID: <m21s6pzfb9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 33442 fixed
close 33442 26.2
quit

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Robert Pluim <rpluim@HIDDEN>
>> I thought we were in a state on emacs-26 where we can get away with
>> cherry-picking minor fixes like the side-by-side stuff, precisely
>> because cairo is disabled by default.  Also if any brave soul does
>> turn it on on emacs-26, we should probably strive to have fixed things
>> for them that are easy to fix.
>
> OK, please cherry-pick that part as well.

Done as 0220391c00

Closing this bug.

>> On a separate note, should we turn cairo on by default in master?
>
> I have no strong opinion on this.  IMO, the decision should be based
> on what those who use Cairo say about its stability.  I'd also
> encourage people to see whether the reported bugs are still there, or
> maybe they were solved indirectly.

I don=CA=BCt use it myself at the moment. I=CA=BCve only seen Ari report th=
at he
uses is regularly.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 10 Dec 2018 06:20:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 01:20:31 2018
Received: from localhost ([127.0.0.1]:40644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWEvf-0005Db-4C
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 01:20:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gWEvc-0005DL-Vc
 for 33442 <at> debbugs.gnu.org; Mon, 10 Dec 2018 01:20:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gWEvU-0001f4-Ir
 for 33442 <at> debbugs.gnu.org; Mon, 10 Dec 2018 01:20:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57928)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gWEvU-0001ev-Ez; Mon, 10 Dec 2018 01:20:20 -0500
Received: from [176.228.60.248] (port=3267 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gWEvU-00029J-1P; Mon, 10 Dec 2018 01:20:20 -0500
Date: Mon, 10 Dec 2018 08:20:06 +0200
Message-Id: <83ftv53nu1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2pnuaz73t.fsf@HIDDEN> (message from Robert Pluim on Sun, 09
 Dec 2018 23:08:06 +0100)
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN>
 <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN>
 <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN>
 <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN> <m2pnuaz73t.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  ari.roponen@HIDDEN,  33442 <at> debbugs.gnu.org
> Date: Sun, 09 Dec 2018 23:08:06 +0100
> 
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
> > On 08.12.2018 16:24, Eli Zaretskii wrote:
> >
> >> And never worked before since the code
> >> was written.
> >
> > If that is true, I have no strong arguments for why it "has to" be on
> > emacs-26.
> >
> >> I was asking why it has to be on emacs-26, and hoped for
> >> responses that take the pros and cons into consideration and show how
> >> the pros win over cons.
> >
> > But I'm not seeing any cons either. It's not like there are any
> > plausible Cairo build users that are fine with the current state of
> > emacs-26 but would get annoyed by any possible regression that the
> > patch in question might introduce.
> >
> > Anyway, it seems I've already made all the applicable arguments at the
> > beginning of this discussion. So I'll stop here.
> 
> I thought we were in a state on emacs-26 where we can get away with
> cherry-picking minor fixes like the side-by-side stuff, precisely
> because cairo is disabled by default.  Also if any brave soul does
> turn it on on emacs-26, we should probably strive to have fixed things
> for them that are easy to fix.

OK, please cherry-pick that part as well.

> On a separate note, should we turn cairo on by default in master?

I have no strong opinion on this.  IMO, the decision should be based
on what those who use Cairo say about its stability.  I'd also
encourage people to see whether the reported bugs are still there, or
maybe they were solved indirectly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 9 Dec 2018 22:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 17:08:17 2018
Received: from localhost ([127.0.0.1]:40340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gW7FJ-000733-2Z
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2018 17:08:17 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:41016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gW7FH-00072o-8v
 for 33442 <at> debbugs.gnu.org; Sun, 09 Dec 2018 17:08:15 -0500
Received: by mail-wr1-f50.google.com with SMTP id x10so8588919wrs.8
 for <33442 <at> debbugs.gnu.org>; Sun, 09 Dec 2018 14:08:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=x4CjBD0t/iGPswu1Q8hXL/fgXTxfiOHcxI3s8pOvB/s=;
 b=L9dofNhld9p+Rp2M1hB3jUh3watpG6a+o503ga88MB2DdADFaygNH6gCyS4LtSay5x
 BYQvDDzAVhzSGkqptQdgUqfjs2kcFINL0s5RIS/sdtvkf7fPYBi9fvRkUnNKgxEZEBx5
 dFQIW43TDr2JC/jZolcWHdCnOuDnuV7wZ1LIRMTQ170EuSIq1ebA3EM3nguiwvQ/mRqu
 LyyuP5tV0npk7QfkpMkQxiv14MUDmm7vb9pmMNlP+Gb6PWa8opDj98qW1ku1fTlZHOf7
 Wd7a5C04oPbnxd5PkvghalHA2JYCcVszf3yCRqafiYFJ/uC3kfe0bwdAZdBXUA854T8Z
 lLJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=x4CjBD0t/iGPswu1Q8hXL/fgXTxfiOHcxI3s8pOvB/s=;
 b=UVb5xHSRfPipuNs6k/2SnOXTvNnivuFkjlf7eI/GiF0DDrmMYQCSt/5ZQhjlB35bhO
 ZrhCjb9fLny/2IZ0o7gGK0NifxZUhfyik2tqXWywu7wy9X2dUu84Y07UE2X5/cYzJOIE
 yK57+iSsT33f5EfuSNiBvHtNrA3KSbjAV4CKY2JbZcOUUAYePTwPmP8hkt6n9ITPuFlv
 jnTAvGKtHWAEykDQh6ZBxQ9h1cgRarTY0BejtygLDkQ/269wTOONIWBajeI8ih3FsXY+
 qNObv0K+V8zUldTW09x6djnvkSh9ebg3btITIO/EX8s5ULJ0yNZ5pkzux550M4O4pDfi
 ko1Q==
X-Gm-Message-State: AA+aEWaS/DxHuS2ZaelF+L9wUDe36ce6vwqlmCpvWjgoWpCbCVFi6zsA
 9yuAv7lkBifFfk/d694B8aIReydJn/k=
X-Google-Smtp-Source: AFSGD/XXy60l3I7tIztlHX/cN6OYhab5IcMfLb9pk79qsBZqyy52GEi9gf3lmM9WQeUuQt2wRH6ulA==
X-Received: by 2002:adf:a393:: with SMTP id l19mr8062815wrb.110.1544393288921; 
 Sun, 09 Dec 2018 14:08:08 -0800 (PST)
Received: from rpluim-mac (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id r69sm18816077wmd.4.2018.12.09.14.08.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 09 Dec 2018 14:08:07 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN>
 <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN>
 <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN>
 <83mupg3xmn.fsf@HIDDEN>
 <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN>
Date: Sun, 09 Dec 2018 23:08:06 +0100
In-Reply-To: <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN> (Dmitry Gutov's
 message of "Sat, 8 Dec 2018 16:45:01 +0200")
Message-ID: <m2pnuaz73t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 08.12.2018 16:24, Eli Zaretskii wrote:
>
>> And never worked before since the code
>> was written.
>
> If that is true, I have no strong arguments for why it "has to" be on
> emacs-26.
>
>> I was asking why it has to be on emacs-26, and hoped for
>> responses that take the pros and cons into consideration and show how
>> the pros win over cons.
>
> But I'm not seeing any cons either. It's not like there are any
> plausible Cairo build users that are fine with the current state of
> emacs-26 but would get annoyed by any possible regression that the
> patch in question might introduce.
>
> Anyway, it seems I've already made all the applicable arguments at the
> beginning of this discussion. So I'll stop here.

I thought we were in a state on emacs-26 where we can get away with
cherry-picking minor fixes like the side-by-side stuff, precisely
because cairo is disabled by default.  Also if any brave soul does
turn it on on emacs-26, we should probably strive to have fixed things
for them that are easy to fix.

On a separate note, should we turn cairo on by default in master? It
will still only get compiled for people who have the appropriate
development packages installed.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 8 Dec 2018 14:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 09:45:13 2018
Received: from localhost ([127.0.0.1]:37809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVdqz-0001of-MX
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 09:45:13 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:52661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gVdqx-0001oP-NK
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 09:45:12 -0500
Received: by mail-wm1-f44.google.com with SMTP id r11-v6so6878718wmb.2
 for <33442 <at> debbugs.gnu.org>; Sat, 08 Dec 2018 06:45:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=JS9YbDohgsJyBhjovc+0b8EPfbqfSotruYXVcjRIen4=;
 b=oGKxI4LpNqdd9gy6SXIPt5UmFv9Q8bloXNMhlPnuJ5be2Qx6+NRXWTfDi+dY8sGtc2
 QVXdqsDN7jeKRLgUfiQeHPeVGPYYlrJn8KQstFwchOcMp8X5PIuRXbKaGLyrRZNf4q5z
 D1SOO4pzQNVYXtM872uQA18CHYEIyVTf49oIkQg2nnDgehjyjeqLIG/eG3N3oEagptCY
 KNSMN7lmrYdxGY4suHmeowuUt713Jv7jRjSfSZCW+w5toy28LvhjQeUpZ5ZQo3rpZfxm
 qKgGwxa504GR47wRqvCHI9StyJDXZSkxL8pACfiBqlmT+b9srv9wCSWYzjPVXDnDx6gn
 nYgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=JS9YbDohgsJyBhjovc+0b8EPfbqfSotruYXVcjRIen4=;
 b=eng69N5KOsGC0JsspZYsMVi4c4AR0hMj/AvKsYNPcVEBG6L4hz4MUG5wCIFdErEGnp
 JBNT+ywlGlIW2vX9fDTmbvRfRyA8zzqQ8MQmxYJMrt/+divdeERacJXWZtmeOUZqrKmv
 //jWuRoFjIOiejVQ2ZshdD+0fyQh6ubXg8/FhPPQqeUfKJ/byzitk1mL6QfC2tElhfEg
 6h+//N/MO9xFxD5LajTSvwKtmrDAg9T0O42wydB1BXP+MHtWjO1i5yCFHm3h3j0mCI5y
 SnL1iD6VUKMlXxvT29Y+0Cx/PAMOafqaL/U1FmQUdnU74JEtrtD2+tttFL8P0rCaRJTe
 qbHA==
X-Gm-Message-State: AA+aEWYg9Y4gsAPIpHOBCNc22P30P71oIqkuHq3W+25piqJ5Zeia8DZR
 Ufqnsc2ykCcRfonmhQ2WURI2E0fH
X-Google-Smtp-Source: AFSGD/XLPsTax5oK9Se3tDc+dnGnQ2mLeBYGz+F6FoMMDuH+aaXyhHqChZ3nipipoLLp/m/oxcHoGQ==
X-Received: by 2002:a1c:cf82:: with SMTP id f124mr5474987wmg.95.1544280305263; 
 Sat, 08 Dec 2018 06:45:05 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id y9sm4852472wrq.55.2018.12.08.06.45.03
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 08 Dec 2018 06:45:03 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Eli Zaretskii <eliz@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN> <83mupg3xmn.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <4270dd08-7cce-57e8-db14-eb67c5b27275@HIDDEN>
Date: Sat, 8 Dec 2018 16:45:01 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <83mupg3xmn.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, rpluim@HIDDEN, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 08.12.2018 16:24, Eli Zaretskii wrote:

> And never worked before since the code
> was written.

If that is true, I have no strong arguments for why it "has to" be on 
emacs-26.

> I was asking why it has to be on emacs-26, and hoped for
> responses that take the pros and cons into consideration and show how
> the pros win over cons.

But I'm not seeing any cons either. It's not like there are any 
plausible Cairo build users that are fine with the current state of 
emacs-26 but would get annoyed by any possible regression that the patch 
in question might introduce.

Anyway, it seems I've already made all the applicable arguments at the 
beginning of this discussion. So I'll stop here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 8 Dec 2018 14:24:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 09:24:30 2018
Received: from localhost ([127.0.0.1]:37800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVdWw-0001L4-KZ
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 09:24:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gVdWv-0001Kr-0j
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 09:24:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gVdWm-0002BW-S8
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 09:24:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49780)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gVdWm-0002BS-Oa; Sat, 08 Dec 2018 09:24:20 -0500
Received: from [176.228.60.248] (port=3544 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gVdWm-0006x4-5j; Sat, 08 Dec 2018 09:24:20 -0500
Date: Sat, 08 Dec 2018 16:24:00 +0200
Message-Id: <83mupg3xmn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN> (message from
 Dmitry Gutov on Sat, 8 Dec 2018 15:03:12 +0200)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
 <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, rpluim@HIDDEN, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Cc: ari.roponen@HIDDEN, rpluim@HIDDEN, 33442 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 8 Dec 2018 15:03:12 +0200
> 
> On 08.12.2018 13:15, Eli Zaretskii wrote:
> 
> >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33442#47
> > 
> > That was about scaling, no?
> 
> In part it was about "so what if the scaling is broken".
> 
> > Why is side-by-side scrolling important enough to get it in emacs-26?
> 
> You mean why 'C-x 3 C-v C-v C-v' should work? Seems like a basic 
> functionality.

Yes, and it works on master.  And never worked before since the code
was written.  I was asking why it has to be on emacs-26, and hoped for
responses that take the pros and cons into consideration and show how
the pros win over cons.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 8 Dec 2018 13:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 08:03:26 2018
Received: from localhost ([127.0.0.1]:37731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVcGS-0007oP-BZ
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 08:03:24 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:37664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gVcGQ-0007oA-Qt
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 08:03:23 -0500
Received: by mail-wr1-f49.google.com with SMTP id j10so6239838wru.4
 for <33442 <at> debbugs.gnu.org>; Sat, 08 Dec 2018 05:03:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=I39peNT/V7XAeei3GF1IPG9uFzWlRaDHvEo0VBvvPGI=;
 b=TwSoppakb2gdt/Eiotj43NDk/ErVY5Hkp+DAtQxnesuZ2IYGzG6Z71gW7NoU5zf1lg
 7THZYYVgPZ78VS4IqJmsTbz6QPpVjm9tw/f0+v/bFxF1jDhaocpDVwr1SUyWQsrwbrbg
 n93a/W0p29JYhEA0IRi1qpN1MBGqZtJC7vYtuVtrYLW8f2oUtLsFOCh2aMAjzBRFcWH+
 YsiBMTFtyGvwLuFMU+X8oTKtVdwCSQKX6yTHsALZZa4MTOEWaMGr6dreRPAV5/WyGVti
 s73Sb+pMEjhOoqKHKHCjmQfn/13jGeAmCx5Fmg5qm2BXj/7aAfWVNgfQtHbQReeOd88Q
 6yug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=I39peNT/V7XAeei3GF1IPG9uFzWlRaDHvEo0VBvvPGI=;
 b=ab660TSmEm69hjg43OdBHaExdiV9TGmVCGC7mpoYSZo+hfEz4PIOk5pdU/Uho0MSus
 oQn1vCGUrYWeRxkrril2kfVmkVU1TMGIWOnCiJ+IccNuRwlaPKbqZiUlzzZOwKf73bVq
 etRrQvxty70hkASUScaQfdvZVthQyUSl0ByyBn3XOjkJBwm9lwDfvJpRo73uM7OdCkrL
 6Yob88Mxme2K7VL+g2iUcoyDU+9lIfcXj1wlxk/3bs9JkHKPsrpxsHcHaX+Omw5YMfmA
 tbLI0Ty+XQRGFF29k552Py8wKynU+7acUXzV+7tiAYZNYPM+uAAtNmGUk/eCE40YD/vB
 MgDQ==
X-Gm-Message-State: AA+aEWalo5DujmwouPgprgEyjrgJW4SJ4DJ9KR61gvxFl1fjOxt/pnOe
 HrXATm7ZlAchQ0kXazTwyfQbyD6j
X-Google-Smtp-Source: AFSGD/Vx38btD0g06dU7xbY35ZzWNarPsvlU2iqoYCN+dzNph0Yykbuwdrlg7PQ3KUoYvsM2NWx/mA==
X-Received: by 2002:a5d:4acb:: with SMTP id y11mr4397454wrs.281.1544274196400; 
 Sat, 08 Dec 2018 05:03:16 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id
 l197sm18480281wma.44.2018.12.08.05.03.13
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 08 Dec 2018 05:03:14 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Eli Zaretskii <eliz@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> <83pnuc46cg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0e5cc317-13b4-3c26-9e88-d1e132d3e09a@HIDDEN>
Date: Sat, 8 Dec 2018 15:03:12 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <83pnuc46cg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, rpluim@HIDDEN, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On 08.12.2018 13:15, Eli Zaretskii wrote:

>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33442#47
> 
> That was about scaling, no?

In part it was about "so what if the scaling is broken".

> Why is side-by-side scrolling important enough to get it in emacs-26?

You mean why 'C-x 3 C-v C-v C-v' should work? Seems like a basic 
functionality.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 8 Dec 2018 11:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 06:16:14 2018
Received: from localhost ([127.0.0.1]:37699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVaak-0002xh-13
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 06:16:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gVaah-0002xT-La
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 06:16:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gVaaZ-0003SR-4k
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 06:16:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46340)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gVaaZ-0003SL-19; Sat, 08 Dec 2018 06:16:03 -0500
Received: from [176.228.60.248] (port=3453 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gVaaY-000497-Gt; Sat, 08 Dec 2018 06:16:02 -0500
Date: Sat, 08 Dec 2018 13:15:43 +0200
Message-Id: <83pnuc46cg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN> (message from
 Dmitry Gutov on Sat, 8 Dec 2018 12:42:29 +0200)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
 <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, rpluim@HIDDEN, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Cc: rpluim@HIDDEN, 33442 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sat, 8 Dec 2018 12:42:29 +0200
> 
> On 08.12.2018 11:55, Eli Zaretskii wrote:
> > Not sure there was a consensus about this part:
> > 
> >> The
> >> scrolling issue with side-by-side windows is in master branch (commit
> >> 6e362a32bc9d21f73a0f29ca6f45481edeea6f29), and can be cherry-picked.
> > Thoughts?
> 
> Yes?
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33442#47

That was about scaling, no?  And Robert only replied to the scaling
part, AFAIU.

Why is side-by-side scrolling important enough to get it in emacs-26?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 8 Dec 2018 10:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 05:42:44 2018
Received: from localhost ([127.0.0.1]:37678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVa4K-0001tU-2P
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 05:42:44 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:54346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gVa4H-0001tG-UD
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 05:42:42 -0500
Received: by mail-wm1-f50.google.com with SMTP id z18so6585078wmc.4
 for <33442 <at> debbugs.gnu.org>; Sat, 08 Dec 2018 02:42:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=CyQbNZiRdOHWH2sQ9qQ3/E9SONw3HAEyE3e5hqaYkeo=;
 b=QnqDgbXXCQdFU7TpY5uQXvTg/bWH4MLrWAG+9c5csPwWPjBFeZnhBRoPv0tx8rQaNS
 8mYH5NjHG4WQB32NUiZ/CFycDK0xZEhku0ASkoAfACNn5NFkyiQa2j2sETsAEjlDjrTS
 DBVVN1EPTWR0eix9qWw+p9rPY/F0g1qOfZwT6Xiubol8t06jveRrFYfqGhtQBpNpdAYy
 La702OHqGIn8xPJkuXvjXWfWLKfoxALOe/H0FNoTKL0rWD8hSLCCI1Tp7Jh4qS4VLVwz
 Mr3Vt6u2MuFZHNgtx9V00IhWkGJjG9MPjBW1jS48oW90ykQbiorGX6cbbzRWf4Sp0fUi
 zJqQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=CyQbNZiRdOHWH2sQ9qQ3/E9SONw3HAEyE3e5hqaYkeo=;
 b=LKx4mjjgADw3ZsMdU6culzPALJHZrfgKBYtmv8Kc7AgQdWFrDt/zL0DaAHLqrZbIM2
 mbiF8oIJ9858BguVAchwW11Vn1JzNHTqu5mEj0nTEtv5W+Vnj9ezPCV216qkI5Ljwjrr
 slcyy4tlxWLmSiN/j+9w0pRW6wCyIsAmArEKTGiBGkQbnaZxFnDGperjm/m4JPI1rFyS
 YAZDLPaxWiUFJiUxe7xK8i0+2TfO5u89zTV/EizNeNmilKGW7l7zbVaVUpL9BSKMKxNj
 vqTrHzHTsn+EjCmbyAYV0foq/q0xPSiF8xZw+eig5tSX/cWrvl3VF9vbaScxWyArDHb5
 Elwg==
X-Gm-Message-State: AA+aEWb/HaB+C/W7OlhtfuGkZ8pc0wimJDyLXCDYqUr91uvQK4CoHIqq
 gdblqWXsAnYGkF+uUzP6dzbxO8rU
X-Google-Smtp-Source: AFSGD/XVJyOCwp4AMfB2yBiTjfjpuI1/lcgI10bfsDYFAcpg8E0E+oiGhHLqq1R1a7fttzoHyTZF8Q==
X-Received: by 2002:a1c:38c4:: with SMTP id f187mr4666595wma.90.1544265755924; 
 Sat, 08 Dec 2018 02:42:35 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id o64sm9422847wmo.47.2018.12.08.02.42.33
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 08 Dec 2018 02:42:34 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Eli Zaretskii <eliz@HIDDEN>, Ari Roponen <ari.roponen@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN> <83y3904a20.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <6037dc5c-bb2b-b21b-87fb-163c9191f4a6@HIDDEN>
Date: Sat, 8 Dec 2018 12:42:29 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <83y3904a20.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: rpluim@HIDDEN, 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 08.12.2018 11:55, Eli Zaretskii wrote:
> Not sure there was a consensus about this part:
> 
>> The
>> scrolling issue with side-by-side windows is in master branch (commit
>> 6e362a32bc9d21f73a0f29ca6f45481edeea6f29), and can be cherry-picked.
> Thoughts?

Yes?

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33442#47




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 8 Dec 2018 09:56:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 04:56:15 2018
Received: from localhost ([127.0.0.1]:37671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVZLL-0006xv-BK
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 04:56:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34175)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gVZLK-0006xf-3p
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 04:56:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gVZLD-0002Fy-Tg
 for 33442 <at> debbugs.gnu.org; Sat, 08 Dec 2018 04:56:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45454)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gVZL2-00029y-An; Sat, 08 Dec 2018 04:55:56 -0500
Received: from [176.228.60.248] (port=2487 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gVZL0-00009U-Pq; Sat, 08 Dec 2018 04:55:56 -0500
Date: Sat, 08 Dec 2018 11:55:35 +0200
Message-Id: <83y3904a20.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ari Roponen <ari.roponen@HIDDEN>
In-reply-to: <87wooulpag.fsf@HIDDEN> (message from Ari Roponen on Fri, 30
 Nov 2018 14:31:51 +0200)
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN> <87wooulpag.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: rpluim@HIDDEN, 33442 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Ari Roponen <ari.roponen@HIDDEN>
> Cc: Robert Pluim <rpluim@HIDDEN>,  33442 <at> debbugs.gnu.org,  dgutov@HIDDEN
> Date: Fri, 30 Nov 2018 14:31:51 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> From: Robert Pluim <rpluim@HIDDEN>
> >> Date: Thu, 29 Nov 2018 14:19:56 +0100
> >> Cc: 33442 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
> >> 
> >> > With the following patch, GDK_SCALE=2 seems to work for me.
> >> >
> >> 
> >> Works for me. Since this is all Cairo-only code, it could even go into
> >> emacs-26, I think (with a ChangeLog and perhaps some comments).
> >
> > OK, let's do that.
> >
> 
> The following patch fixes the scaling problem in Cairo builds.

I pushed this to the emacs-26 branch, thanks.

Not sure there was a consensus about this part:

> The
> scrolling issue with side-by-side windows is in master branch (commit
> 6e362a32bc9d21f73a0f29ca6f45481edeea6f29), and can be cherry-picked.

Thoughts?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 30 Nov 2018 12:32:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 30 07:32:02 2018
Received: from localhost ([127.0.0.1]:55614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gShxi-0001Pv-DO
	for submit <at> debbugs.gnu.org; Fri, 30 Nov 2018 07:32:02 -0500
Received: from mail-lf1-f65.google.com ([209.85.167.65]:37158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ari.roponen@HIDDEN>) id 1gShxg-0001Ka-KH
 for 33442 <at> debbugs.gnu.org; Fri, 30 Nov 2018 07:32:01 -0500
Received: by mail-lf1-f65.google.com with SMTP id p17so3997615lfh.4
 for <33442 <at> debbugs.gnu.org>; Fri, 30 Nov 2018 04:32:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=FOGJEx5XfoJV7GHYzIls7hfJvNSGaCC4ne53vToEu+M=;
 b=HWXuDufCGe/7jSd+2QCDLySdozVQ+mP8koK8MREXPLndAZVCORdAsBgqW0jNX7B2th
 2qp78tebg+iOisEj9WlZjMQ6dID5QPk96lvKiYxlHaP+64C/BcKJQ61FOn7eQ6M196ji
 p61q/KQv94gdHQyNgJklM0ZWUf4e6XJK35oEhkoZTXIVkNvGmINm8ksrrfAk+4Tkp5/n
 YsvisAYTYnLP743wmz60pS6vcHoXJPAo3rceWj8+KZ6osBOOPKiwo2zHv5DbkhJE9uXS
 bweehU5JoPvla6vT6i+828yh91RuWP3WltEToT5qpslZ4oFy4WmkfaiyWrJCVrbCz6F6
 WHiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=FOGJEx5XfoJV7GHYzIls7hfJvNSGaCC4ne53vToEu+M=;
 b=eGCMY/BPQ/XVtN90TMFTlFk1MpT3feOWwXWKbEeLyWyotf24t3LtWNVAIgZDoDq9iU
 fLGFGi0X9tuke8TPextztMnRvoK7kfs7BU6GHHyRQ5s52BRbjkoHM/wAlnlZCAEZ5B1b
 SMvnXqMLcL6LP+7/ncCxhTvOjToJL4cP8rRiI8AWZLrGCpiUX0brvtqqvJzUlj9vIYvh
 IczDTroYAdp9jkCHQgwyQTXon9ZCMcS1tXuL1LUpMWo+vLjOQgZF6oRlF9FI4R4uDZrF
 F6KGLclulODdCXVEy+MUwfocIuJ99dWBVYPwIizNmSZH/SxtZJyXajrjpKGrqT9JBKZr
 kJDg==
X-Gm-Message-State: AA+aEWbReV75J25UZblTpAJPm65yvZtsfS9b0tKzZuPqkHyWrp6gnn+I
 e1D96lJ7/g4UxhyAzEFsPQ==
X-Google-Smtp-Source: AFSGD/Ue6U/AVDGPYpeLvhfxxys+1/NPj0XSn0nVWlNBaJyE5C73O8jlFixWm0kZUHgxEIzNHeqo+w==
X-Received: by 2002:a19:6a13:: with SMTP id u19mr3392903lfu.46.1543581114704; 
 Fri, 30 Nov 2018 04:31:54 -0800 (PST)
Received: from arirop ([2001:2003:f7ce:f380:108a:51ca:c7e7:3af4])
 by smtp.gmail.com with ESMTPSA id o88sm780445lfk.38.2018.11.30.04.31.52
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 30 Nov 2018 04:31:53 -0800 (PST)
From: Ari Roponen <ari.roponen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
 <83y39cc716.fsf@HIDDEN>
Date: Fri, 30 Nov 2018 14:31:51 +0200
In-Reply-To: <83y39cc716.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 29 Nov
 2018 16:06:29 +0200")
Message-ID: <87wooulpag.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: Robert Pluim <rpluim@HIDDEN>, 33442 <at> debbugs.gnu.org, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Date: Thu, 29 Nov 2018 14:19:56 +0100
>> Cc: 33442 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
>> 
>> > With the following patch, GDK_SCALE=2 seems to work for me.
>> >
>> 
>> Works for me. Since this is all Cairo-only code, it could even go into
>> emacs-26, I think (with a ChangeLog and perhaps some comments).
>
> OK, let's do that.
>

The following patch fixes the scaling problem in Cairo builds. The
scrolling issue with side-by-side windows is in master branch (commit
6e362a32bc9d21f73a0f29ca6f45481edeea6f29), and can be cherry-picked.


From c76a784f7c345031f9bf1f88d2e4b13e44053638 Mon Sep 17 00:00:00 2001
From: Ari Roponen <ari.roponen@HIDDEN>
Date: Fri, 30 Nov 2018 14:09:09 +0200
Subject: [PATCH 1/1] Fix scaling problem in cairo builds

* src/xterm.c (x_begin_cr_clip) [USE_GTK]:
(x_update_begin) [USE_CAIRO && USE_GTK]: Support scaling.
---
 src/xterm.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/src/xterm.c b/src/xterm.c
index 3a7e31e712..42ddc4f5b1 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -360,10 +360,15 @@ x_begin_cr_clip (struct frame *f, GC gc)
 
       if (! FRAME_CR_SURFACE (f))
         {
+	  int scale = 1;
+#ifdef USE_GTK
+	  scale = xg_get_scale (f);
+#endif
+
 	  FRAME_CR_SURFACE (f) =
 	    cairo_image_surface_create (CAIRO_FORMAT_ARGB32,
-					FRAME_PIXEL_WIDTH (f),
-					FRAME_PIXEL_HEIGHT (f));
+					scale * FRAME_PIXEL_WIDTH (f),
+					scale * FRAME_PIXEL_HEIGHT (f));
 	}
       cr = cairo_create (FRAME_CR_SURFACE (f));
       FRAME_CR_CONTEXT (f) = cr;
@@ -999,8 +1004,9 @@ x_update_begin (struct frame *f)
       if (FRAME_GTK_WIDGET (f))
         {
           GdkWindow *w = gtk_widget_get_window (FRAME_GTK_WIDGET (f));
-          width = gdk_window_get_width (w);
-          height = gdk_window_get_height (w);
+	  int scale = xg_get_scale (f);
+	  width = scale * gdk_window_get_width (w);
+          height = scale * gdk_window_get_height (w);
         }
       else
 #endif
-- 
2.19.2





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 29 Nov 2018 14:11:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 09:11:39 2018
Received: from localhost ([127.0.0.1]:54216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gSN2Z-0001fF-4E
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:11:39 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gSN2V-0001f0-PU
 for 33442 <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:11:36 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gSN2L-0000pT-Rr
 for 33442 <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:11:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50765)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gSMxM-0006es-5X; Thu, 29 Nov 2018 09:06:16 -0500
Received: from [176.228.60.248] (port=1074 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gSMxL-0002no-Or; Thu, 29 Nov 2018 09:06:16 -0500
Date: Thu, 29 Nov 2018 16:06:29 +0200
Message-Id: <83y39cc716.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <m2zhts10n7.fsf@HIDDEN> (message from Robert Pluim on Thu, 29
 Nov 2018 14:19:56 +0100)
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN> <m2zhts10n7.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Date: Thu, 29 Nov 2018 14:19:56 +0100
> Cc: 33442 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
> 
> > With the following patch, GDK_SCALE=2 seems to work for me.
> >
> 
> Works for me. Since this is all Cairo-only code, it could even go into
> emacs-26, I think (with a ChangeLog and perhaps some comments).

OK, let's do that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 29 Nov 2018 14:07:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 09:07:39 2018
Received: from localhost ([127.0.0.1]:54203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gSMyg-0001Yu-Th
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:07:39 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:36867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gSMyf-0001Yc-2v
 for 33442 <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:07:37 -0500
Received: by mail-wr1-f47.google.com with SMTP id j10so2036461wru.4
 for <33442 <at> debbugs.gnu.org>; Thu, 29 Nov 2018 06:07:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=nlhqXtSiGVBRXAyY0xzvNwvRINyOtccQv6NrKdYJUjk=;
 b=h6584f8dfiAUgp9ZhpfWb2Jelf0wiFcr30wc8VEMkRuuN2G0Jzlcj+OohsN8jAKCML
 aij88bkTGzp32kYNrF1pufGpB6HQeO1LvKl5aQo7U6DLmIoAeijG1pfhU7J4V1U9eGVX
 EA3l1IUs7TDEjloJHOJFaO6h9ekj+n2y9U3LWPfHUD8YE+A/+qkWa8Xlk1FaTXkiHDNM
 hYeDl02mxM0ThxG4LFOY0bXHJJrjKtZ/N9XiYpNmjVSE9hUCapY3N0aoXEGsAlnprc1O
 i9vXRhHwT1OpwnABW1wZz4CCvaCZzJrK+TLbByQF5yd4aip4O7HbmSUGTG7efOAxNEfb
 3vBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=nlhqXtSiGVBRXAyY0xzvNwvRINyOtccQv6NrKdYJUjk=;
 b=Ysby/Hd1RGI3Cb2H89CfRzTl8VqWQJQRzZ85R7X4MvThtI2taabyHuoRWI712IdV1+
 AabBjibFGMpZ259nk+97c/hgslNKpbPIcLi+qFjavCDif9stsLlSD7CYJzLsHuIh7Gjr
 oXrsPNPXjlrXhTIU37V5I6/ztIDDUZaHttxECsIJ8CANlRxAtEiGZ+ZSaGmZvp0Toj7D
 LzOTOyqVS4freUYTQjJqBITz49SdL5Yg3AgQUhw/DiTQaJwBdKa8UlWyLhzOYx7nzw9V
 rmH2MqAe7RUqgDKIe3so9IhXRIjLslXaP6lCypt6plkR0uaT5nTMnSNu+G/0XILvk+9/
 H8vQ==
X-Gm-Message-State: AA+aEWY/8x263zmrzhr5uUa4ZdVNovft54gv9ul0DgA0Kam84t7+IowJ
 3DkOP4LoQr1IHh8DUEWp/R933j0p
X-Google-Smtp-Source: AFSGD/VLnnzoWJMKR+doQiPusP61Od75waYYV29HfKrBMk475divViAHgOIMwDjcW7qSVkaH9vNt4Q==
X-Received: by 2002:a5d:6a42:: with SMTP id t2mr1681909wrw.50.1543500450520;
 Thu, 29 Nov 2018 06:07:30 -0800 (PST)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id j8sm2886239wmd.0.2018.11.29.06.07.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 29 Nov 2018 06:07:29 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Ari Roponen <ari.roponen@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <18d9d32a-9f8c-23df-d5ee-42123fa59d0e@HIDDEN>
Date: Thu, 29 Nov 2018 16:07:26 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <87mupst6z6.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 29.11.2018 14:15, Ari Roponen wrote:

> With the following patch, GDK_SCALE=2 seems to work for me.

Works for me as well. Please install it into master, at least.

Thank you!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 29 Nov 2018 14:00:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 09:00:12 2018
Received: from localhost ([127.0.0.1]:54198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gSMrT-0001OF-UJ
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:00:12 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:40122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gSMrR-0001N1-2w
 for 33442 <at> debbugs.gnu.org; Thu, 29 Nov 2018 09:00:09 -0500
Received: by mail-wr1-f45.google.com with SMTP id p4so2004052wrt.7
 for <33442 <at> debbugs.gnu.org>; Thu, 29 Nov 2018 06:00:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:from:to:cc:references:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=iorUUiASMwRqDURzABskhF2vLLsPFuu9vY8Y6HaM65Q=;
 b=MFho2GJdLIKkDfM+8TnCmylDgec5FOMhZCgHAiAmIdnWB19LkAnQTo5sfhkqrzWZBQ
 OoUlQ8UAEzlBb+/dHIFSxmRrFXxoMp/UoEtJLT4rlava+FwhtSwAPnroTfUVdK2/OK/K
 PSMQzghjGTGY2ZWUAondYUsnV8ga4frS1bBaphO4867z8iumFyPI7K16fA29dXyjc7G4
 nYxIX5OriXU07GICjtRtCVR0qdEOCzT2HJGC+4I/QoJOP1geTBo4iEdMJj/bV/8DiAFf
 q1m/yMPvbbNtR8Q4ElAQ5MCHFAjMEgob6RbMjkwFjIFMEUPtjmkkJl0U664WyNs7A5g4
 bwBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:from:to:cc:references:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=iorUUiASMwRqDURzABskhF2vLLsPFuu9vY8Y6HaM65Q=;
 b=CgHs+cXWL1D3/df9sA8cZKEGeMT3v1RFCCiCwnVFtSaBtIwNQgpiazJWPIEIJLigGn
 5X5O1hmQ3DrAqzcqKfJjYQYUS2AVueBMonOcnasc7QwGvMogTSNzhbK+2uDk5zNda6Dh
 FP3zkIXweJYzZCMDYlrhHeAJwK1mhSdxeuJ5rv/ZClRZhAm9nSd5Awws8HFapPQFYlpK
 AWvVz4sQrhwmBY8HINjZuGKc9X98zXQvQJtIH6p2nml1Ukvh7tl95OrbTDROOkm0b9E5
 4CAU6JuCHIOmRKaZ9KiL7EmHAw0HHDAh6J+dgF8ZQztrW1PEcbjpULv9PVWGu4jq/Lll
 qR1Q==
X-Gm-Message-State: AA+aEWbFbJtuJn4BpCx3OrUnIP194CiKRg5lpupdL4NGmO/RFtQFIwF5
 g6wX+EXuGUuQyvhB489bvxNmpmLp
X-Google-Smtp-Source: AFSGD/VNG1LHKyG+6lHoQx4ztwR2uD3JQmtIUOANLKCBTVmMfuiKVUKbWnVk3D05tb5lQB/fbk0RKQ==
X-Received: by 2002:a5d:418b:: with SMTP id m11mr1408512wrp.8.1543500002344;
 Thu, 29 Nov 2018 06:00:02 -0800 (PST)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id y9sm2742866wrq.55.2018.11.29.06.00.00
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 29 Nov 2018 06:00:01 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
From: Dmitry Gutov <dgutov@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <83k1l5go6l.fsf@HIDDEN> <fd84f497-74f3-12de-142d-a4510c2e3b18@HIDDEN>
Message-ID: <e90ca35a-c196-53ff-d587-c9365584a8d6@HIDDEN>
Date: Thu, 29 Nov 2018 15:59:59 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <fd84f497-74f3-12de-142d-a4510c2e3b18@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 22.11.2018 17:22, Dmitry Gutov wrote:
> On 22.11.2018 16:52, Eli Zaretskii wrote:
> 
>> How many users will agree to demote the DPI just to have the Cairo
>> build working?  IOW, is the above a viable solution, or is it
>> something many users will regard as unacceptable?
> 
> I think so. <...>

In any case, HiDPI users are still the minority, and the commit 
requested to be backported is a localized fix for an obvious, 
easy-to-reproduce regression (scrolling is indeed broken, I tested with 
and without the patch).

So I highly suggest we allow it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 29 Nov 2018 13:20:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 08:20:11 2018
Received: from localhost ([127.0.0.1]:54193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gSMEk-0000Oa-O5
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2018 08:20:10 -0500
Received: from mail-wr1-f46.google.com ([209.85.221.46]:39780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gSMEi-0000OI-Li
 for 33442 <at> debbugs.gnu.org; Thu, 29 Nov 2018 08:20:09 -0500
Received: by mail-wr1-f46.google.com with SMTP id t27so1874859wra.6
 for <33442 <at> debbugs.gnu.org>; Thu, 29 Nov 2018 05:20:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=XzY6hIUI3yjY+SsFxuPRVpSgnpr+syj38uQrgm9cXZY=;
 b=YxuBtbT2RMM0bmB8/TNiD6eeZ6Z9ePcnPmOj7ImLIvv9No7x6Lha9Y8rOX32bDof00
 08cIAvxaIx198ZldVikS2+wTLAa40J5q23JjK73609ft+l6+kVBJTxvvFa7Q3689FlRZ
 LXYkr1bGCPYl7kar77eRiukTFXjpQPPYGOjGR3Q/XqJAtAi21zQ9Za7IQbsivAazkcLT
 vtk9bdwR7RBbsM1bFayN0xOpf0vau1Ox1y1qXs5kpETWq1t/8qQQNfd0hpwUrmDO3x0l
 2gxWaB85z0k50nM9u+2CvCB76TenK9/bwuCCdoF4W/wbFsIdRSPYOG8+Ei4D7whicgbb
 i8DQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=XzY6hIUI3yjY+SsFxuPRVpSgnpr+syj38uQrgm9cXZY=;
 b=gNLlrLaBNCw4nYXiPodmH/Q8gQJ8SCC6NKy6BK+cXcJjiUnIKIsmCq78PpjqpZhtI/
 yOewkSZJH0PsCYnuclYbTxNqey3BQz5LJiAMvjdAa4OcsjSZKSvfSu+Gj78+eUwuDxRs
 06rlFOkqNHhBSJ9GgkUT+t3ADSogry3SlB2TZzpTVmQovs0mjTdIQIQRsnY9aQyFrBx5
 dvEOpmQZ3QGssCEFvSVzX27/AuhFGfiv/2rsyz/pRhVX9/f48LB6UilB6cEJnD9Wd0Ef
 CtTLYlVa7+QoghtkIOrOaZJkLZl5ZBHd5Wh0Eegwv9sWgJKLFuZTVeAtPUfQujHGQC6m
 4eQA==
X-Gm-Message-State: AA+aEWaOqUF9aqO8Y+5GLIUs/U8szPLPj4SlQJf/ywKch24HixrX/cWr
 IMaf0QsT8876RgcUFJttIkINdYwBme8=
X-Google-Smtp-Source: AFSGD/W77LbFpd0TZXJ/XEwZhg43Ge3J24aC9Nmq2Cm+tOnLt/ixuyZMnZMRk9+5lzFbHRf6kpemCQ==
X-Received: by 2002:adf:fa05:: with SMTP id m5mr1376063wrr.155.1543497602456; 
 Thu, 29 Nov 2018 05:20:02 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id n19sm1348279wmh.26.2018.11.29.05.20.00
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 29 Nov 2018 05:20:01 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Ari Roponen <ari.roponen@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <87mupst6z6.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 29 Nov 2018 14:19:56 +0100
In-Reply-To: <87mupst6z6.fsf@HIDDEN> (Ari Roponen's message of "Thu, 29 Nov
 2018 14:15:41 +0200")
Message-ID: <m2zhts10n7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ari Roponen <ari.roponen@HIDDEN> writes:

> Dmitry Gutov <dgutov@HIDDEN> writes:
>
>> On 22.11.2018 14:19, Ari Roponen wrote:
>>
>>> That seems to be it: Starting Emacs with
>>>    GDK_SCALE=2 emacs -Q
>>> shows the problem here, too.
>>
>> Thanks for that. I've just tried a --with-cairo build with
>>
>>     GDK_SCALE=1 emacs
>>
>> and it seems to work well, (even) without your extra patch. Aside from
>> the expected problems with toolbar icons and scrollbar (too small),
>> which I don't use anyway.
>
> With the following patch, GDK_SCALE=2 seems to work for me.
>

Works for me. Since this is all Cairo-only code, it could even go into
emacs-26, I think (with a ChangeLog and perhaps some comments).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 29 Nov 2018 12:15:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 29 07:15:52 2018
Received: from localhost ([127.0.0.1]:54163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gSLEW-0005Jj-7S
	for submit <at> debbugs.gnu.org; Thu, 29 Nov 2018 07:15:52 -0500
Received: from mail-lf1-f45.google.com ([209.85.167.45]:35628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ari.roponen@HIDDEN>) id 1gSLET-0005JW-Ty
 for 33442 <at> debbugs.gnu.org; Thu, 29 Nov 2018 07:15:50 -0500
Received: by mail-lf1-f45.google.com with SMTP id e26so1286665lfc.2
 for <33442 <at> debbugs.gnu.org>; Thu, 29 Nov 2018 04:15:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ON1qdGLH3tV9fSIqBZ47iNr3XshY3Ik/1uaixXfyGWM=;
 b=o428Uqp8ZqKZF/xlcj6CfBw6k1SyWOC8dVxm6vPisIblsoKruQIOQXnTldCcZRZ/qd
 wEv19Lfnc6pRyw16J96vuExgAdUXNlN2b6/t/tiaVazVkK72Byk9kUivMg1Kt/7TjnVr
 NvVq3ck82OAqMA4d4XM3IpFauAx5sAVs+bPziYdbgwwcqbJ01GD08BUDkOv/0eK0iH31
 Mbhf8xxs5IxNcYkBFOh+Uh/C9+oYoUZG3T7w1YX79xVq6NpMwql69kQHOLld0w9hbwNC
 2evQkLlNAGKkkkjPynec9RtVr4/Q92yKLDKX5qRldFud5AjapZVl+f8pwgycIXJmY8Wq
 8TaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ON1qdGLH3tV9fSIqBZ47iNr3XshY3Ik/1uaixXfyGWM=;
 b=feCaU0niKZ4U+WTuSiNOg0eV2eW4egOHUoVIbVVH9AEu7rywnmQHN06y27PioYgcLy
 UuUiqfYkpM+vtN2eW49iuF6HVpnbBjMOy5Y2KZQ0qQT/bbFgbpPWNqoDy8iQukymHleU
 EKrhaxmt7zNQheA7kpfdoeskLlHqwk1t/JKwg5xXr0SN7gtR7xPJ/I/HKs+bCPz5x8Yx
 RH3H02CrKttGgR8kiBo2+oHssQVBb0Na0D3j3a54XgkQXR+ant2Y4xGxcKoYE6JmSKWA
 nGRIHgQIkZnsW6Q25Isy4WvPO6Yj30Nv3gMPYejIGUFkgYr08AxdBUxXzHcMo5pP8HsX
 Yoew==
X-Gm-Message-State: AA+aEWYzzDAs0dNn9NoARrVf7OJy86NgE+1ubO/yqgUXQF1kTJHiO+d+
 NK2TMvGG+t2NX4rug99RxkwvR/6uvw==
X-Google-Smtp-Source: AFSGD/Vd9si8eOE8gsx/pY+OeiMB9eMYVqyiBakkFimwB/jQa7fT3BLkRKhfQiB/iSW1Ewp24aMixg==
X-Received: by 2002:a19:c396:: with SMTP id t144mr871674lff.110.1543493743364; 
 Thu, 29 Nov 2018 04:15:43 -0800 (PST)
Received: from arirop ([2001:2003:f7ce:f380:dfd:5410:8d1c:6824])
 by smtp.gmail.com with ESMTPSA id e19-v6sm263893ljf.67.2018.11.29.04.15.41
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 29 Nov 2018 04:15:42 -0800 (PST)
From: Ari Roponen <ari.roponen@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
 <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
Date: Thu, 29 Nov 2018 14:15:41 +0200
In-Reply-To: <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN> (Dmitry Gutov's
 message of "Thu, 22 Nov 2018 16:05:18 +0200")
Message-ID: <87mupst6z6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 22.11.2018 14:19, Ari Roponen wrote:
>
>> That seems to be it: Starting Emacs with
>>    GDK_SCALE=2 emacs -Q
>> shows the problem here, too.
>
> Thanks for that. I've just tried a --with-cairo build with
>
>     GDK_SCALE=1 emacs
>
> and it seems to work well, (even) without your extra patch. Aside from
> the expected problems with toolbar icons and scrollbar (too small),
> which I don't use anyway.

With the following patch, GDK_SCALE=2 seems to work for me.

diff --git a/src/xterm.c b/src/xterm.c
index 3a7e31e712..42ddc4f5b1 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -360,10 +360,15 @@ x_begin_cr_clip (struct frame *f, GC gc)
 
       if (! FRAME_CR_SURFACE (f))
         {
+	  int scale = 1;
+#ifdef USE_GTK
+	  scale = xg_get_scale (f);
+#endif
+
 	  FRAME_CR_SURFACE (f) =
 	    cairo_image_surface_create (CAIRO_FORMAT_ARGB32,
-					FRAME_PIXEL_WIDTH (f),
-					FRAME_PIXEL_HEIGHT (f));
+					scale * FRAME_PIXEL_WIDTH (f),
+					scale * FRAME_PIXEL_HEIGHT (f));
 	}
       cr = cairo_create (FRAME_CR_SURFACE (f));
       FRAME_CR_CONTEXT (f) = cr;
@@ -999,8 +1004,9 @@ x_update_begin (struct frame *f)
       if (FRAME_GTK_WIDGET (f))
         {
           GdkWindow *w = gtk_widget_get_window (FRAME_GTK_WIDGET (f));
-          width = gdk_window_get_width (w);
-          height = gdk_window_get_height (w);
+	  int scale = xg_get_scale (f);
+	  width = scale * gdk_window_get_width (w);
+          height = scale * gdk_window_get_height (w);
         }
       else
 #endif




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 22 Nov 2018 15:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 10:22:40 2018
Received: from localhost ([127.0.0.1]:42545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPqoS-0000Jy-Gs
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 10:22:40 -0500
Received: from mail-ed1-f49.google.com ([209.85.208.49]:34511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gPqoQ-0000Jl-U7
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 10:22:39 -0500
Received: by mail-ed1-f49.google.com with SMTP id b3so8032623ede.1
 for <33442 <at> debbugs.gnu.org>; Thu, 22 Nov 2018 07:22:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=E2rhsXHhMQxB8DE+B1a7busiU+QaelG/dF8pvla0JW0=;
 b=PoCAwidW1PrBErCYr0ApG9WkgbxfUWlQtpKPRIAN2p8DiWhqkRkkrXYFBYT9Q0gjSk
 vMu5iWbbgEL0RaP6vFW5ptVtAqbFhFRcRi0Hb/UQSPk76yRRYJyBmZPGvgtQhTBbWqUo
 Fmy7Eq+LagQXo40WEPXEDU8DFYV7/D+PRfwKd794oMx6ifuVR38T1ELtudG9yV0Wo9Qv
 ReyrykiCZjb70PkLX65yCi+szC4U99D0BxudwK2A5WQKGwOM+zobyMuWu9E1s+OHiiTY
 uTpUfNZSLYjbmdwHdOAHk7N+MjG002HW13UmZrgIg9Tqy3uH8XmV2DFtVjBXDIbdPQWh
 be1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=E2rhsXHhMQxB8DE+B1a7busiU+QaelG/dF8pvla0JW0=;
 b=lu5w4bzz/wP29bkKEEqWjPSuP4bUYA/2ZSl0kQsqZOZ8/WyBZ46u5YbHgULxil3sz3
 xQHYvvrXr6R70yv9vJSNe6Zr3kXZmiX8v6ll1InlXZ1LDNdqAhK8FjV5yCKQQ5AQsxjF
 Gxwgl/dL6nDQACwQDUHIq1iTxDMfzO/Ycq6iJ3jDei4IbO6wfl2IwN9mVL42hF+DM1zI
 BG/OeQ/+rNmWDLhTDFhnC/YjQvyjlsaWzhtBrcS3NM3AQuAtHrZijoQA2v7EKIfOmq+L
 VI9zFoqDhLHTR1WrXlpz/RkfwOLTs0c2gdxd33z6YGmPfsus1pAuKsr1x97ds9djt1ic
 cfwQ==
X-Gm-Message-State: AA+aEWZcusBd6w1c49StzFO4IXpvooR/J631p57G4jYB+JilrKblKdkZ
 chVo4BaQtQkv4faDqxxvoJ3K3Ylq
X-Google-Smtp-Source: AFSGD/Vjg5bLU4d1AcqLeoB/RrCmhA/wqXoWon5VEQmJ+jHOtjgnWUxssfDigwWIH0t5Pk288pGbVg==
X-Received: by 2002:a50:86b7:: with SMTP id r52mr9428449eda.227.1542900152757; 
 Thu, 22 Nov 2018 07:22:32 -0800 (PST)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id a27sm11479518eda.65.2018.11.22.07.22.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 22 Nov 2018 07:22:31 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Eli Zaretskii <eliz@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
 <83k1l5go6l.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <fd84f497-74f3-12de-142d-a4510c2e3b18@HIDDEN>
Date: Thu, 22 Nov 2018 17:22:30 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <83k1l5go6l.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 22.11.2018 16:52, Eli Zaretskii wrote:

> How many users will agree to demote the DPI just to have the Cairo
> build working?  IOW, is the above a viable solution, or is it
> something many users will regard as unacceptable?

I think so. The toolbar buttons and the scrollbar handle are simply 
smaller, and a lot of hardcore users disable them anyway.

The font size or rendering quality don't seem to be affected by the 
scaling factor.

Still, some users won't like it, or will simply be confused if they have 
to hunt for "GDK_SCALE=1 emacs" in the PROBLEMS file, so we have to fix 
that sooner a later, too. But it seems to be a separate bug, not one 
we've already seen reported. And, judging from the past bug reports, 
problems like this are relatively easy to fix.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 22 Nov 2018 14:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 09:52:05 2018
Received: from localhost ([127.0.0.1]:40708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPqKq-0007Yu-UN
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 09:52:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gPqKo-0007YP-35
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 09:52:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gPqKe-0000Vr-FS
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 09:51:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48039)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gPqKd-0000Ur-Nn; Thu, 22 Nov 2018 09:51:52 -0500
Received: from [176.228.60.248] (port=2442 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gPqKd-0006Cq-6u; Thu, 22 Nov 2018 09:51:51 -0500
Date: Thu, 22 Nov 2018 16:52:02 +0200
Message-Id: <83k1l5go6l.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN> (message from
 Dmitry Gutov on Thu, 22 Nov 2018 16:05:18 +0200)
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN> <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 22 Nov 2018 16:05:18 +0200
> Cc: 33442 <at> debbugs.gnu.org
> 
> Thanks for that. I've just tried a --with-cairo build with
> 
>      GDK_SCALE=1 emacs
> 
> and it seems to work well, (even) without your extra patch. Aside from 
> the expected problems with toolbar icons and scrollbar (too small), 
> which I don't use anyway.
> 
> So maybe we shouldn't think of the Cairo build as too broken anymore.

How many users will agree to demote the DPI just to have the Cairo
build working?  IOW, is the above a viable solution, or is it
something many users will regard as unacceptable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 22 Nov 2018 14:05:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 09:05:29 2018
Received: from localhost ([127.0.0.1]:40673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPpbl-0006Ph-Ir
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 09:05:29 -0500
Received: from mail-ed1-f53.google.com ([209.85.208.53]:46597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gPpbk-0006PT-Dv
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 09:05:28 -0500
Received: by mail-ed1-f53.google.com with SMTP id o10so7775261edt.13
 for <33442 <at> debbugs.gnu.org>; Thu, 22 Nov 2018 06:05:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=TSFc99ZBBozLORn251KpfMDt15wLr59o1rMorvg/O/E=;
 b=OVU/N98SEczxrXtMeszxfaz/LaU/gxlWsq5tVrEGAHIt0V4bR/P9u8Yu67ZaQtEFzq
 Lvs1DU7KI5AX1q4SZdP68YyIcvCFhIQZoO09bQIrNPFOz+Hcp//Gy77aRdj/s5Tei7IO
 RUIT2KgMzfjBmzAfEFGDmWnTWVyvo/HJ7xCgrmlCrWHdLzJMQwacxtuCltbE8gBuy/fF
 g4I1t3LnsmJr6cPNIR/w6TIZNZbHRWqEDIw0to805c49nXQAGb7Jk+AcfWATiXix3+1P
 vGdvFhst46DwfgS8DTXM368shVcwOd5IFpd6nscMxHlb4bnFfrhPkcJMcn5bN2bReBa7
 X5Og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=TSFc99ZBBozLORn251KpfMDt15wLr59o1rMorvg/O/E=;
 b=SHI+SWHRvAZ/SOet4Gy6CIXzBpzJp+N5swTYvMZqfUetVAnaq0u2fBAA3ojzbHR2MY
 ox1JThxAf+Mn9FlmNTR3HzItQAyY8l6MbrFxD0JZ1fMO7+gGXdDhbnwIEvs98nSsVWCV
 hcFZ+JKrFUBrHcNV3mb9FqeGCeN0LB8AFLaZpG+QAEZVYrh77xpw9a2xFmBLJPmTN/ju
 wy6vsJbGUX7iQNYNl2pBF9m3QgvZuUIn/C23n++0BeSD1T80CzQgyamPCZceccIwO+xT
 ilO7V4hNf2j7EF5AvmGY9G8DftCwqXQFBgx9k7tDyTBG3XrqBIV2Khz2cLsXrWkce6q6
 QliA==
X-Gm-Message-State: AGRZ1gJrfOKuwSQAuFSUWSgTPOs9O8IiwiWrvFUgV6tiRDE318O6Imkc
 R/BjSQcItPXpNL6cSbuNhZDXJqL5
X-Google-Smtp-Source: AJdET5f+xsV66catw8E26NuNXESAHQErMCItBJ0FfFcGCXgHCqUUA21/Rp/CSRjDx8+zBnBkzfOVpQ==
X-Received: by 2002:a17:906:f1c9:: with SMTP id
 gx9-v6mr8235469ejb.144.1542895522134; 
 Thu, 22 Nov 2018 06:05:22 -0800 (PST)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id x90sm5003888ede.35.2018.11.22.06.05.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 22 Nov 2018 06:05:21 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Ari Roponen <ari.roponen@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN> <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
 <871s7dl2xg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <08133af3-3f70-1634-e162-ae6cfe26767f@HIDDEN>
Date: Thu, 22 Nov 2018 16:05:18 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <871s7dl2xg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 22.11.2018 14:19, Ari Roponen wrote:

> That seems to be it: Starting Emacs with
>    GDK_SCALE=2 emacs -Q
> shows the problem here, too.

Thanks for that. I've just tried a --with-cairo build with

     GDK_SCALE=1 emacs

and it seems to work well, (even) without your extra patch. Aside from 
the expected problems with toolbar icons and scrollbar (too small), 
which I don't use anyway.

So maybe we shouldn't think of the Cairo build as too broken anymore.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 22 Nov 2018 12:20:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 07:20:08 2018
Received: from localhost ([127.0.0.1]:40596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPnxo-0001tW-4m
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 07:20:08 -0500
Received: from mail-lj1-f181.google.com ([209.85.208.181]:43527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ari.roponen@HIDDEN>) id 1gPnxk-0001sq-ML
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 07:20:06 -0500
Received: by mail-lj1-f181.google.com with SMTP id 83-v6so7775982ljf.10
 for <33442 <at> debbugs.gnu.org>; Thu, 22 Nov 2018 04:20:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vztRHAKTJAAehOeUNTgoIx8h/MLhMbiOMX7fkN7XG3w=;
 b=K0Mr8WQ8GVid7ez7F3qAngQDMZhBIjuI4T8v3Pkazsp/Gr+kbp7REsW6yESesYdIge
 ShdOOPr1pJtQDNpA1yfL5uH8RwKiIhSEi35cCSzTahaV3sJwYjYDhpCYsYuFVGW5CLgW
 s1QYuNjFsyA4dXl7lFTeRgk0aN8M+JP9lkxKjKuIz8eu3Z8plWFhkVxAoULHQqIy4G/D
 WVdbjoewTicCY/9QbEX5zWG/SmsayZAsVKmfqudsvg+yxhACiwPcTsQstYxbPrq0MqMD
 q14lTXg35r4AgAv9mre/rMV58zfC0YYPubC9W4LPAVYJarLy7XnsAisxm/6PG8uqloHz
 DoXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=vztRHAKTJAAehOeUNTgoIx8h/MLhMbiOMX7fkN7XG3w=;
 b=NLyjF0pdvNbCMFasVbKzAogrUgmGJZEZmvQMnXsL4cD5spujVi232TLnQT6ZuLS/K4
 Uh6fvhNnQ5y6cRjCr0JFjONCRMd6O9tH39fj1MCqp+u4B8vhRGNTnFjQYRdfMaHzn4ch
 rsoi/E6Nq1VhhvVpnbkk9toIEIGPFkSu3iQiHUVveMZTsDFL1qXjJ+1ruLKYt8iF3I5a
 i6olQoCAttAdcvEbgIvldtb3nGpJcEMTUpKunmWcEN1u4tlJOSl+Jjn7RyiQQND6esjG
 nSZTb1uJZnym6IMI6adCCWRTkjA7pmcY8My+VEh/YMLZn2DBM+Ejb8qKXsjPu2JJPTzU
 Cvsg==
X-Gm-Message-State: AA+aEWZ5bb/zxa1aBBrInW3XKCPKqr8x3WxguoKUZjTI9jukmv/zjvgW
 ZvUP3uC1la3qh2taqvs1Sxd6yao1c8Ny
X-Google-Smtp-Source: AFSGD/UXJMsxX7kDeX30gh4uOKE5FnRDhxY/+7P/vocHC31vmzLIDwz6oHTf5t/pkHNjouhxdtZUFg==
X-Received: by 2002:a2e:5703:: with SMTP id
 l3-v6mr7391073ljb.106.1542889198430; 
 Thu, 22 Nov 2018 04:19:58 -0800 (PST)
Received: from arirop ([2001:2003:f7ce:f380:1d20:9a61:8cc5:600e])
 by smtp.gmail.com with ESMTPSA id 11sm7258280lfq.89.2018.11.22.04.19.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 22 Nov 2018 04:19:57 -0800 (PST)
From: Ari Roponen <ari.roponen@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
 <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
Date: Thu, 22 Nov 2018 14:19:55 +0200
In-Reply-To: <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN> (Dmitry Gutov's
 message of "Thu, 22 Nov 2018 14:03:22 +0200")
Message-ID: <871s7dl2xg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 22.11.2018 8:44, Ari Roponen wrote:
>
>> It does work here. I use gnome-shell on Xwayland.
>> Could you try the following patch, if it helps?
>
> No change.
>
> It's probably also related to HiDPI: the area that gets refreshed is
> at half the window size and height. And my desktop scaling factor is
> 2.

That seems to be it: Starting Emacs with
  GDK_SCALE=2 emacs -Q
shows the problem here, too.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 22 Nov 2018 12:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 07:03:35 2018
Received: from localhost ([127.0.0.1]:40589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPnhn-0001Vm-MP
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 07:03:35 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:40090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gPnhl-0001VX-4y
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 07:03:33 -0500
Received: by mail-wr1-f49.google.com with SMTP id p4so9010101wrt.7
 for <33442 <at> debbugs.gnu.org>; Thu, 22 Nov 2018 04:03:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=wO4hWIBfh68DOEnODi78KDMnUZdGfHpZLF4uY7qB4Nc=;
 b=e8oQ0DwB5BovhkL+3KvxKgc8hmhxx3fAFAq1+t0mK1mqT6TL7fIxxWzdLiJhjsSZiG
 vvfNAk0t9U7h1CtSnY8QX1vb3+rtfJpODApDF5QSwx+JGhzz2gR8WFlMdt4MgDuN0SW1
 13TLgNhAFrEWlb4wnhPW4dLUw+0B2x+qbPNWU1st1JfSWtSJrdEylCMUoFFtB/23nAok
 cGuijpSb4SQk9YVVG3AEz271KldOKskXAf7IFtGQsR3LdkVdue7nyBds2SN1bKMQf4TZ
 MK7/9g+TvpFlOM0NoytEBbcsfBR069NS8auzLUoSAUjqJ15ye+L4gb1yrEU2xLHvoHgX
 Sedg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=wO4hWIBfh68DOEnODi78KDMnUZdGfHpZLF4uY7qB4Nc=;
 b=deZY0NlzPzOVYaUVuY9Vcq0QWeOVkdME8f7w851Z1pp0M2Upd25IE1pASInVmGyVkR
 zlLL5jV5T2yVidXWlR6FnBeJgB4q/BMforiXYZisZKjf688lEChXrqf//kz/NdxLcDVM
 PQ2ENWXuKtMFP+C0ILFYeLD0azLGDBtvUY6SpaSpMdjB4wULM4AHMcVTMtdpxyiV+chq
 XafgHlSWIUxaBqOwb1twdEV0n/tedRjqkVFO7h2ia27t0JccJRSZmzkKxHWNHCsHOepY
 xmZlQXBUnU811age7NG7yE4IzOjGf9qS2C1OI+wMu41W+mcUQuXScuLXueVaAO1VTlH2
 mIlA==
X-Gm-Message-State: AA+aEWYDMSI9MltoZa/fsuFdfZTUe1CNr1nOOZRFP+iLH5NXPyKhbTPU
 tYk5rzdaWxOt5v89hwk0GjWiCYRe
X-Google-Smtp-Source: AFSGD/Xw40HWsTqnFU6PGlV/aRn0ZFnFOwsM+kMZf2X3+n7zjN320n33FQ7vbXBs5B8bJyJ9YwZSdQ==
X-Received: by 2002:adf:b608:: with SMTP id f8mr9140617wre.120.1542888206210; 
 Thu, 22 Nov 2018 04:03:26 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id q12sm25441781wrx.31.2018.11.22.04.03.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 22 Nov 2018 04:03:24 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Ari Roponen <ari.roponen@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN> <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
 <875zwpligs.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <6976af8a-8fbf-da98-d770-55224a7736af@HIDDEN>
Date: Thu, 22 Nov 2018 14:03:22 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <875zwpligs.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 22.11.2018 8:44, Ari Roponen wrote:

> It does work here. I use gnome-shell on Xwayland.
> Could you try the following patch, if it helps?

No change.

It's probably also related to HiDPI: the area that gets refreshed is at 
half the window size and height. And my desktop scaling factor is 2.

X+Unity+Compiz+Ubuntu 18.04.1 here, though. I'll have to try it with 
GNOME sometime.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 22 Nov 2018 06:44:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 01:44:30 2018
Received: from localhost ([127.0.0.1]:40442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPiiz-0008S4-PQ
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2018 01:44:29 -0500
Received: from mail-lj1-f182.google.com ([209.85.208.182]:37833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ari.roponen@HIDDEN>) id 1gPiix-0008Rn-CG
 for 33442 <at> debbugs.gnu.org; Thu, 22 Nov 2018 01:44:27 -0500
Received: by mail-lj1-f182.google.com with SMTP id e5-v6so6968471lja.4
 for <33442 <at> debbugs.gnu.org>; Wed, 21 Nov 2018 22:44:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=cMVY1EreMeGzFZVIv0fV45FyTAFmAWuhgLUYJjB2n+k=;
 b=D7sUwB6V9OVpjR5RQIHwN5VJqgafN2ZY/P7c5PaU5ee2pBSGaecGlp2cu+uugDGLOY
 m9fMWlskXjhnior/ibzYDlaiJmpzxMXs9WY8XdxsD/ScAwpgV7cHsUiWWT8RuC/a72ZT
 24lFgUW+3mF8jmEzkjxk8y6xdOQam1ak22tdryZpRyKRKxIiJvPMj3M7mjf8gSm6yxmY
 8EJoygXk5p3cvMlerwSLw3wQ/qE1I2viXYbUaG8VOvpKsWvrj87/AZexaPRJxEaJQviv
 9szoxiuq6aGsaTQZKx5wLOfFHIBcIleI+fdPCpZaCLvoamqStPwXL9NW1ltmuhA7TUnl
 5//g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=cMVY1EreMeGzFZVIv0fV45FyTAFmAWuhgLUYJjB2n+k=;
 b=Ms/aa/6k94dY0BZ4pje18/T0+JuAGypr+8xnS+Q6km7dcQCbUbrMvVcYvNr7iRwUy1
 a5sMFEOfKxJGRD1gCMCVzqPRxpebKh02qllgtoY5ow8IiRqwL2TgHXTBEAxvkY6zjwJv
 j7Nbl0bQsg+dBWaBCjVl/tC1ew7ekF49royaAJFrMEihqvJubTlR2BsR3L0+E7F04k47
 8x3rgbbCa4HwDTcPRHDtAw8U6T82lZhRIzAxqqCDu8vuq2bgoUq5VDNqB3rnws0ZnqoF
 e/pWp82tlC6+OO5ZppW3ZfkyGn6Hx6d4jHEih5engxVgeFU4NHK6SueTD15AB3hQyde5
 wn/Q==
X-Gm-Message-State: AA+aEWbxu0DgVaIovFpuxupZs9ZTe75frmCSTXnV1XimxsC9KRsLSLDt
 sADiMxv98caafKUWn+pF+qDo6mSrkPuH
X-Google-Smtp-Source: AFSGD/UaoTN5WZfkbjEkM/0tsGKiXVZBRq4BfGWRRQ3HcNVlEV+TwSRypofOjjMu8OgU1we6sfqbjw==
X-Received: by 2002:a2e:5109:: with SMTP id f9-v6mr6485742ljb.52.1542869061063; 
 Wed, 21 Nov 2018 22:44:21 -0800 (PST)
Received: from arirop ([2001:2003:f7ce:f380:1d20:9a61:8cc5:600e])
 by smtp.gmail.com with ESMTPSA id r1-v6sm7238896ljb.64.2018.11.21.22.44.19
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 21 Nov 2018 22:44:19 -0800 (PST)
From: Ari Roponen <ari.roponen@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN> <87va4qaorj.fsf@HIDDEN>
 <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
Date: Thu, 22 Nov 2018 08:44:19 +0200
In-Reply-To: <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN> (Dmitry Gutov's
 message of "Wed, 21 Nov 2018 23:40:55 +0200")
Message-ID: <875zwpligs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: Eli Zaretskii <eliz@HIDDEN>, 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 21.11.2018 9:11, Ari Roponen wrote:
>
>> I have been using --with-cairo for my Emacs builds for six months, and
>> haven't had any major problems with it.
>
> Curious.
>
> I've just tried building the master branch --with-cairo (on
> GNU/Linux), and I see crippling rendering problems right away. Maybe
> the same issue as reported at
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23925.
>

It does work here. I use gnome-shell on Xwayland.
Could you try the following patch, if it helps?

diff --git a/src/xterm.c b/src/xterm.c
index 3a7e31e712..e82beacd7d 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -992,6 +992,9 @@ x_update_begin (struct frame *f)
   if (FRAME_TOOLTIP_P (f) && !FRAME_VISIBLE_P (f))
     return;
 
+  if (FRAME_GARBAGED_P (f))
+    x_cr_destroy_surface (f);
+
   if (! FRAME_CR_SURFACE (f))
     {
       int width, height;




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 21 Nov 2018 21:41:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 21 16:41:06 2018
Received: from localhost ([127.0.0.1]:40268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPaF7-0003BR-Os
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2018 16:41:05 -0500
Received: from mail-wm1-f45.google.com ([209.85.128.45]:37084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gPaF6-0003Aq-6d
 for 33442 <at> debbugs.gnu.org; Wed, 21 Nov 2018 16:41:04 -0500
Received: by mail-wm1-f45.google.com with SMTP id p2-v6so7169271wmc.2
 for <33442 <at> debbugs.gnu.org>; Wed, 21 Nov 2018 13:41:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=RiQD2bDUJDEh9QPnKkTaVst/3xQ4Aq72TW7HdBSqqzY=;
 b=YwQFMaLYtfJkfvklsyw90oHmasVqo4W2VFyuZKKGDNnmQx1v7YNI68ZtHz8mgibL/D
 usAsZBXE8hDL79bCS35MMAcKXuafExxY2mIbo85Xdpoa59Tx433BqsOJGQnFB3UQ+Gns
 1pQUzdJqqoXAkK6I9Y9P0aPizbXETVHnjT6zjFMYoGx8eDPrjBYXmE24Zs/1Yh1GYMfh
 2RmS0k3ZyQTKgojM9mx4Tta2oe+amPX9Tmvq+m6nWmBQC3IhZSvOHXxJ9npsavgXKD4E
 lMd5ZvbwmH7BgaP5jSpiPxPLDh8EPeLb+6d+iWa7wht+yvZRLo+2yNx57GWymbOhGSK1
 x2SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=RiQD2bDUJDEh9QPnKkTaVst/3xQ4Aq72TW7HdBSqqzY=;
 b=lpvB3x1w3yQJ1HREHw92A6/J6ow1v+uGY+9S6+dKj3gLleal2Foeqmzbvqj+b3l1br
 37GCCO1PhxbS0L0cC2sqc44FfAMdwpjeENbj8XiKCydnM/LD9oPIJlMY1ousd9aTrf4+
 9CPb3nqwJu8ttnoeO3HeLy5CKqbzOAFL/W+hovnKH+CyzBP5M7OBRZkETFDw7veuUiN4
 yS7BUrnktuplA41Whpv0pTsbhQbH6hFRzR8kjq2+AgiKxowIMF5v8Ju7U7jZSoPleArz
 GDYUgK+jVbHyxvr+VeCZKJ6yAjUPreS2Y88KL/6R6EbBNS8vESTz7cAvh/1OPFElbS26
 dkgg==
X-Gm-Message-State: AA+aEWaMPctV/hpp5ieNC43cO9ASxRjlC+M5yRVW/9IpIhuYa2cWcxcK
 paqcGZR7Ma1v7WX4LIM52ReTbcVT
X-Google-Smtp-Source: AJdET5dEj7pg7JecHdA/7dxgzkDECl4vMh6ib0oLXe+9uPt1TA/UXALui+aUcDIetiUuJ2Q96Co9xw==
X-Received: by 2002:a1c:2d93:: with SMTP id t141mr6683884wmt.99.1542836458075; 
 Wed, 21 Nov 2018 13:40:58 -0800 (PST)
Received: from [192.168.1.3] ([185.105.174.23])
 by smtp.googlemail.com with ESMTPSA id b18sm1827956wrr.43.2018.11.21.13.40.56
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 21 Nov 2018 13:40:57 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Ari Roponen <ari.roponen@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> <83in0riscq.fsf@HIDDEN>
 <87va4qaorj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1bf2b358-3ac2-46bb-f298-5c115149dea0@HIDDEN>
Date: Wed, 21 Nov 2018 23:40:55 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <87va4qaorj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 21.11.2018 9:11, Ari Roponen wrote:

> I have been using --with-cairo for my Emacs builds for six months, and
> haven't had any major problems with it.

Curious.

I've just tried building the master branch --with-cairo (on GNU/Linux), 
and I see crippling rendering problems right away. Maybe the same issue 
as reported at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23925.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 21 Nov 2018 07:11:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 21 02:11:39 2018
Received: from localhost ([127.0.0.1]:37739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gPMfi-0002Qd-SC
	for submit <at> debbugs.gnu.org; Wed, 21 Nov 2018 02:11:39 -0500
Received: from mail-lj1-f172.google.com ([209.85.208.172]:41094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ari.roponen@HIDDEN>) id 1gPMfg-0002QR-Vh
 for 33442 <at> debbugs.gnu.org; Wed, 21 Nov 2018 02:11:37 -0500
Received: by mail-lj1-f172.google.com with SMTP id z80-v6so3863040ljb.8
 for <33442 <at> debbugs.gnu.org>; Tue, 20 Nov 2018 23:11:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=P3SG+ZaLCFpE526ytIMnXuWIzCRO6MTjE8DFZbBVi94=;
 b=YLwaoUquHwYt60jKnDNHvXE+OVDRAyu5QCM8Oe9r3d40dfZ+gQP+1Kcvs25str5cs0
 CfkbUwDFYMEKNRaUPhWjYPMnWu1iyObu+lkbABrB/ZJjrbshmTjbBOP3MArquB/V7kOY
 mlfAM7T1kYEi1ol1SLKr0ob2b9RpmmvxPRcNt5Lv/KuLa6ol2bu38E58W+ahmym2sX+P
 /Q2l40SUj4Qyz2QPK7T57RBTYXjiMpqw8+Os2FQWUSCunZtGxYyJaVqeLNnzSpnPJJpS
 zCQAe1ej+UYMfxJhh8JTVwV12S9WOKK7SGaEBdaS3tuqPGTTBYejLe6x7RVykGML3jXI
 eiIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=P3SG+ZaLCFpE526ytIMnXuWIzCRO6MTjE8DFZbBVi94=;
 b=O0XuLQP1Jxhv0zXG3jjkjTMWTcrdXJ9irpNYEogXN3IKJWI7PnmAMiATTxEA7j2ug1
 R6/MDd92SujDsBKOa/bSnyMaOsCnkBepxQRYonipYxY7Y1R1N63QyNkRRZI4ShoJXcG6
 iC+UCIyHpVO57KgSitjiq8iU/k8CbLz22mY1oCzUTyqJYXCRZmjlcOEsaVZ1f/64ZWNx
 x6cOOgHEDXxsB/cvKgTB9+rhwQTP15rgIZ9Y+hEMCaCSgvZH1h72vpFlMFXZS0fxCmx+
 xVtNMq1ilwUZSO07ZcKCQvRkKkpzZJ7S4p3QY5KWO+WgXy1QAQfSkLi1zlGFOgcCqKZ3
 4FOg==
X-Gm-Message-State: AGRZ1gJbB29v1hq2KsBNTY1bmHZUTJ1uiMxB5n4pHErmGoMaWyERAI03
 MyK51ZerOTwuaNyACZT9VUUNBcQ8Xrz1
X-Google-Smtp-Source: AFSGD/W3tKlRpfmV5DwZl2AqtX35QrKTp4dY5dR3I7Jt27mxaFG2ZeFZu9vN0S2gybR4qUFA+ZmM5Q==
X-Received: by 2002:a2e:95c6:: with SMTP id y6-v6mr3011330ljh.59.1542784290867; 
 Tue, 20 Nov 2018 23:11:30 -0800 (PST)
Received: from arirop ([2001:2003:f7ce:f380:a4db:a3d4:a514:8689])
 by smtp.gmail.com with ESMTPSA id y23-v6sm6393528ljk.95.2018.11.20.23.11.29
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 20 Nov 2018 23:11:29 -0800 (PST)
From: Ari Roponen <ari.roponen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
 <83in0riscq.fsf@HIDDEN>
Date: Wed, 21 Nov 2018 09:11:28 +0200
In-Reply-To: <83in0riscq.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 20 Nov
 2018 19:14:29 +0200")
Message-ID: <87va4qaorj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: 33442 <at> debbugs.gnu.org
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Tue, 20 Nov 2018 18:16:19 +0200
>> 
>> On 20.11.2018 17:58, Eli Zaretskii wrote:
>> 
>> > Thanks, but I'm not convinced we should backport that change.  We
>> > don't fix every bug on the release branch, only the important onces.
>> 
>> An argument could be made about the lesser impotance of stability 
>> guarantees for the Cairo users (since it's already broken). So I'd ask 
>> whether the given patch makes it considerably more usable, so that more 
>> people are likely to try the --with-cairo build and submit patches/bug 
>> reports/etc.
>
> Good point.  I'd like to know the answer to that.

Cairo fixes went to the release branch after 26.1 was tagged
(commit aac541e75e2c22d05752025c2087ae2eea4cb525). 
This patch is a left-over that fixes the scrolling when the window is
split side-by-side.

I have been using --with-cairo for my Emacs builds for six months, and
haven't had any major problems with it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 20 Nov 2018 17:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 20 12:14:36 2018
Received: from localhost ([127.0.0.1]:35593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gP9bd-0004YZ-HV
	for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 12:14:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gP9bZ-0004Wp-TJ
 for 33442 <at> debbugs.gnu.org; Tue, 20 Nov 2018 12:14:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gP9bR-0001E5-Dw
 for 33442 <at> debbugs.gnu.org; Tue, 20 Nov 2018 12:14:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55444)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gP9bR-0001Df-5M; Tue, 20 Nov 2018 12:14:21 -0500
Received: from [176.228.60.248] (port=4895 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gP9bQ-0002Nn-OS; Tue, 20 Nov 2018 12:14:21 -0500
Date: Tue, 20 Nov 2018 19:14:29 +0200
Message-Id: <83in0riscq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN> (message from
 Dmitry Gutov on Tue, 20 Nov 2018 18:16:19 +0200)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
 <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org, ari.roponen@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Cc: 33442 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Tue, 20 Nov 2018 18:16:19 +0200
> 
> On 20.11.2018 17:58, Eli Zaretskii wrote:
> 
> > Thanks, but I'm not convinced we should backport that change.  We
> > don't fix every bug on the release branch, only the important onces.
> 
> An argument could be made about the lesser impotance of stability 
> guarantees for the Cairo users (since it's already broken). So I'd ask 
> whether the given patch makes it considerably more usable, so that more 
> people are likely to try the --with-cairo build and submit patches/bug 
> reports/etc.

Good point.  I'd like to know the answer to that.

> > And the Cairo configuration doesn't strike me as important, what with
> > all the additional known bugs specific to it.
> 
> IIRC, somebody said it's the best approach we have for supporting 
> Wayland someday. I think it's a worthy goal.

Sure, but it needs someone to work on making it usable and on fixing
the bugs.  Otherwise, it's just a teaser.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 20 Nov 2018 16:16:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 20 11:16:34 2018
Received: from localhost ([127.0.0.1]:35286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gP8hV-0003XO-Ja
	for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 11:16:34 -0500
Received: from mail-wr1-f53.google.com ([209.85.221.53]:39565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1gP8hR-0003X5-NZ
 for 33442 <at> debbugs.gnu.org; Tue, 20 Nov 2018 11:16:30 -0500
Received: by mail-wr1-f53.google.com with SMTP id b13so2598484wrx.6
 for <33442 <at> debbugs.gnu.org>; Tue, 20 Nov 2018 08:16:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=U0kdpyfv3LhkTmlMbmK5z9bJg0HOQ8eQDcyRn5kJCR4=;
 b=Moc6bqmoWuoZ1kAsC7bZDNqhflvQS6pMNeiGGSYBCw/la6DlsRIfkxQr3GOwtN9zMm
 v46SN0NTI90rDMhpTi5F60DKMztQuu7xYKM+iThMaaBsoaNaQPVX7+M21lwf3VMXMuF7
 wIgiFQ+WO4rjQStJd0afHFcc+tj1erDMYkpAqHO1qJCkybr9QMEM5sXbZewPaw0Lr7fD
 IWFAMowiSgT0CbOOqweDhuj1RdVN++1Tq35m9CgdLQsigmqZ+GmPUBUlrp4TDxieSj9T
 rD3ubrxg1/d+g1r02rS0HcsxEL0nhWRmo9bCpjr6b3EgesgtNMQTLtr41ClYMIP3SqA6
 7Xfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=U0kdpyfv3LhkTmlMbmK5z9bJg0HOQ8eQDcyRn5kJCR4=;
 b=VF3QbBQy2PkQr4VOLb0qarQQsLvm/spqbMb8BkGaShoisg0Q4De56SORL6Zt1mkUtp
 tdFkBP4xL0bEc3IMKbMW0oamcIo8IS0he/j7lNfHdGfc4WOZhAFR4EOMOm6s78GA2KLo
 yiqSBV3Ig5blkUYzMot5ucqXvX0bWdvrgFzKrbo30bdYiBMWq/pj/42sxjmJqbXst1wV
 xc8Ko5FPhBrRkL9qIUttfK69sgElIZtHPUC87YPn7ON+Du32mu/PusZJrj3Bw+86E0Av
 lUYD9sRBPL+ExCSI86Wk3ORUG9ETdCWeFJPTLJ0A7shXpSbP2Gr7fQl4EPwldwb5LnMb
 Q3rw==
X-Gm-Message-State: AA+aEWbwlfv/jPj0hLSwWQ4XlbvgR8aPM7g8B1spbtv3zGjlDjGyUh7V
 FyKi4uSglaSRN4wh7Fd4LrHwiAIx
X-Google-Smtp-Source: AFSGD/WVbp1gfNG9wT/1Pk/+icp6PknoEqp8E+rfVd/TSkfWy1K+HADdnxwc55qB5wLeEOP2hdpEsA==
X-Received: by 2002:adf:fb47:: with SMTP id
 c7-v6mr2513322wrs.200.1542730583736; 
 Tue, 20 Nov 2018 08:16:23 -0800 (PST)
Received: from [192.168.0.195] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id
 k5-v6sm67283461wre.82.2018.11.20.08.16.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 20 Nov 2018 08:16:22 -0800 (PST)
Subject: Re: bug#33442: 26.1.90; Cairo side-by-side windows scrolling fix
 should be cherry-picked
To: Eli Zaretskii <eliz@HIDDEN>, Ari Roponen <ari.roponen@HIDDEN>
References: <87h8gc412q.fsf@HIDDEN> <83wop7ivw2.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <b016223c-2665-3f41-86ad-b89beee4a8b7@HIDDEN>
Date: Tue, 20 Nov 2018 18:16:19 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:64.0) Gecko/20100101
 Thunderbird/64.0
MIME-Version: 1.0
In-Reply-To: <83wop7ivw2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 20.11.2018 17:58, Eli Zaretskii wrote:

> Thanks, but I'm not convinced we should backport that change.  We
> don't fix every bug on the release branch, only the important onces.

An argument could be made about the lesser impotance of stability 
guarantees for the Cairo users (since it's already broken). So I'd ask 
whether the given patch makes it considerably more usable, so that more 
people are likely to try the --with-cairo build and submit patches/bug 
reports/etc.

> And the Cairo configuration doesn't strike me as important, what with
> all the additional known bugs specific to it.

IIRC, somebody said it's the best approach we have for supporting 
Wayland someday. I think it's a worthy goal.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at 33442 <at> debbugs.gnu.org:


Received: (at 33442) by debbugs.gnu.org; 20 Nov 2018 15:58:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 20 10:58:09 2018
Received: from localhost ([127.0.0.1]:35269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gP8Ph-0002yB-6h
	for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 10:58:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44699)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gP8Pf-0002xZ-UI
 for 33442 <at> debbugs.gnu.org; Tue, 20 Nov 2018 10:58:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gP8PV-0006Ko-MU
 for 33442 <at> debbugs.gnu.org; Tue, 20 Nov 2018 10:58:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53623)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gP8PV-0006KZ-HF; Tue, 20 Nov 2018 10:57:57 -0500
Received: from [176.228.60.248] (port=3782 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gP8PV-0005Zb-3B; Tue, 20 Nov 2018 10:57:57 -0500
Date: Tue, 20 Nov 2018 17:58:05 +0200
Message-Id: <83wop7ivw2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ari Roponen <ari.roponen@HIDDEN>
In-reply-to: <87h8gc412q.fsf@HIDDEN> (message from Ari Roponen on Tue, 20
 Nov 2018 10:15:09 +0200)
Subject: Re: bug#33442: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
References: <87h8gc412q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33442
Cc: 33442 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Ari Roponen <ari.roponen@HIDDEN>
> Date: Tue, 20 Nov 2018 10:15:09 +0200
> 
> Scrolling in --with-cairo -build doesn't work when there are
> side-by-side split windows. That was fixed in the master branch by
> commit 6e362a32bc9d21f73a0f29ca6f45481edeea6f29
> 
>     Author: Ari Roponen <ari.roponen@HIDDEN>
>     Date:   Sun May 6 15:29:28 2018 +0300
>     
>         Fix cairo scrolling for side-by-side windows
>         
>         * src/xterm.c (x_scroll_run) [USE_CAIRO]: Fix scrolling for
>         side-by-side split windows.  (Bug#31288)
>     
> Cherry-picking that commit fixes the problem in 26 branch too.

Thanks, but I'm not convinced we should backport that change.  We
don't fix every bug on the release branch, only the important onces.
And the Cairo configuration doesn't strike me as important, what with
all the additional known bugs specific to it.

That said, I'm open to arguments to the contrary.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Nov 2018 08:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 20 03:15:26 2018
Received: from localhost ([127.0.0.1]:33356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gP1Bu-0005Rq-Hp
	for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 03:15:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ari.roponen@HIDDEN>) id 1gP1Bt-0005Rc-24
 for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 03:15:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ari.roponen@HIDDEN>) id 1gP1Bn-0002Jq-4a
 for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 03:15:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47311)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ari.roponen@HIDDEN>)
 id 1gP1Bm-0002Is-D3
 for submit <at> debbugs.gnu.org; Tue, 20 Nov 2018 03:15:18 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52457)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ari.roponen@HIDDEN>) id 1gP1Bl-000547-HZ
 for bug-gnu-emacs@HIDDEN; Tue, 20 Nov 2018 03:15:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ari.roponen@HIDDEN>) id 1gP1Bk-0002GZ-QD
 for bug-gnu-emacs@HIDDEN; Tue, 20 Nov 2018 03:15:17 -0500
Received: from mail-lf1-x12f.google.com ([2a00:1450:4864:20::12f]:36986)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ari.roponen@HIDDEN>)
 id 1gP1Bi-0002DF-Sg
 for bug-gnu-emacs@HIDDEN; Tue, 20 Nov 2018 03:15:15 -0500
Received: by mail-lf1-x12f.google.com with SMTP id p17so700340lfh.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 20 Nov 2018 00:15:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=ks9G2dW/zC1uaUQLjUvA9PGsZ4iAoeGqXk3C3Ka8kaY=;
 b=WZRRPLQXILvA+BiJDpGroFogP3i2rUzwLlLWO7RlTbUheTq9Tz9jkpjcDqKL753Ztq
 R46HWHaBda4ps5jI0k5m8SuVyMpM8c18JpO2OTKp2bHw2XL1kVToJu+5BzNcrqsnPvVO
 yTU2bSPdNFDy+dT/T6egrpiJhBs1Dh8DkVemPBvLhtRV9cjGWAMowfYps2XN4j0ix+5M
 bZl299LkYSjPeyG1VvhA+9QdnxB/JRwALuN6n5cZPz8aCusnRJE+KIEQKinWYg2m/RfR
 6ilvj1ajQWjf/3WXt2XdTAaFs7X7U8kew63Q+joNegpbQN5Bvf4EMC7/GnB4oOv1t14U
 bTvw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=ks9G2dW/zC1uaUQLjUvA9PGsZ4iAoeGqXk3C3Ka8kaY=;
 b=WuM6A2r/0sXSv1Rzg4ElmGNYaCvkzLrmSYv9juUNQsrHglP0hWiLOobemMoAL7MA/N
 4Epmh3Rcha4NekVjt/4lgflIYCMAvOBrV9kx0v2QPgu7bkUg2wWJMw9mqMgpPuVuZTPC
 DR5CPhvaT29V9IbCl2+f0SgFqPc75oRZvLHvHm1RShJWijuiC+69m6+Qsw6oiCQCGGAM
 aIK2wdz7/j2+/oRMH03FnSPx7kIa24Nyd0+7TQk2O0bEKBtgPq1TJ8wdb1xkAXyJtLe6
 gmUJfVM8PDikrCTs5/lYG/O1gECagRWrXXrJC/9CbDgbsOjsumdwZNpkY3upzJz3EvuT
 BT5w==
X-Gm-Message-State: AGRZ1gKVEZzej8ZoZuoxdDQ1L4+jw2wd2RMJA3z0izXR+nxP828VCBuQ
 GFSVtyT+dnSi2z+HuNNLJTSOoSRVVg==
X-Google-Smtp-Source: AJdET5dxHmgExT7MzaSNlFfQLbkAz6A8r9aTh6K+nXec+Jo75zvSLlN+LRvoEeGCs6FkZfRaXqJtXQ==
X-Received: by 2002:a19:4ed9:: with SMTP id u86mr553781lfk.78.1542701711453;
 Tue, 20 Nov 2018 00:15:11 -0800 (PST)
Received: from arirop ([2001:2003:f7ce:f380:550e:b6cd:2e1e:b85a])
 by smtp.gmail.com with ESMTPSA id m14-v6sm5987340lji.29.2018.11.20.00.15.10
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 20 Nov 2018 00:15:10 -0800 (PST)
From: Ari Roponen <ari.roponen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1.90;
 Cairo side-by-side windows scrolling fix should be cherry-picked
Date: Tue, 20 Nov 2018 10:15:09 +0200
Message-ID: <87h8gc412q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Scrolling in --with-cairo -build doesn't work when there are
side-by-side split windows. That was fixed in the master branch by
commit 6e362a32bc9d21f73a0f29ca6f45481edeea6f29

    Author: Ari Roponen <ari.roponen@HIDDEN>
    Date:   Sun May 6 15:29:28 2018 +0300
    
        Fix cairo scrolling for side-by-side windows
        
        * src/xterm.c (x_scroll_run) [USE_CAIRO]: Fix scrolling for
        side-by-side split windows.  (Bug#31288)
    
Cherry-picking that commit fixes the problem in 26 branch too.

In GNU Emacs 26.1.90 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.1, cairo version 1.16.0)
 of 2018-11-20 built on arirop
Repository revision: d667318a7f89a9daeffca6fb47503889bd23f3bd
Windowing system distributor 'Fedora Project', version 11.0.12003000
System Description:	Fedora release 29 (Twenty Nine)

Configured using:
 'configure --with-cairo'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO IMAGEMAGICK SOUND DBUS GSETTINGS GLIB
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD LCMS2




Acknowledgement sent to Ari Roponen <ari.roponen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33442; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 11 Dec 2018 06:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.